<%@ taglib uri="webwork" prefix="ww" %>

<%@ page import="com.atlassian.jira.issue.search.util.DefaultQueryCreator" %>
<%--  If we have used a 'smart search' then inform the user of this fact, and allow them to query again without smart search --%>
<% if ("true".equalsIgnoreCase(request.getParameter("usedQuickSearch"))) { %>
<div>
    <%-- resin has a bug where you can't get URL parameters multiple times, so retrieve it here, and pass it around --%>
    <ww:property value="$originalQuickSearchQuery" id="origQuery" />

    <form method="POST" action="<%= DefaultQueryCreator.QUERY_PREFIX%>" name="smartquery">
    <input type="hidden" name="query" value="<ww:property value="@origQuery" />" >
        <div class="noteBox fullyCentered" style="width:50%;">
            <span style="float: right;">
                <ww:component template="help.jsp" name="'quicksearch'" >
                    <ww:param name="'noalign'" value="true"/>
                </ww:component>
            </span>
        <ww:text name="'navigator.quicksearch.activated'"/>
        <a href="<%= DefaultQueryCreator.QUERY_PREFIX%>&query=<ww:property value="@origQuery" />"
           onClick="document.smartquery.submit(); return false;"><ww:text name="'navigator.quicksearch.runwithout'"/></a>.
        </div>
    </form>
</div>
<% } %>
