<%@ page import="com.atlassian.jira.util.JiraUtils"%>
<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="aui" %>
<%@ taglib uri="jiratags" prefix="jira" %>

<ww:if test="applicationProperties/string('jira.setup') == 'true'">
<ww:if test="remoteUser == null && projectManager/projects/size > 0">
<div>
	<p class="notify warn">
	<ww:text name="'noprojects.notloggedin'"/>
	</p>

    <p>
    <ww:text name="'noprojects.mustfirstlogin'">
        <ww:param name="'value0'"><jira:loginlink><ww:text name="'common.words.login'"/></jira:loginlink></ww:param>
        <ww:param name="'value1'"></a></ww:param>
    </ww:text>
    <ww:if test="extUserManagement != true">
		<% if (JiraUtils.isPublicMode()) { %>
            <ww:text name="'noprojects.signup'">
                <ww:param name="'value0'"><a href="<%= request.getContextPath() %>/secure/Signup!default.jspa"></ww:param>
                <ww:param name="'value1'"></a></ww:param>
            </ww:text>
        <% } %>
    </ww:if>
    </p>
</div>
</ww:if>
<ww:else>
<div>

	<ww:if test="projectManager/projects/size > 0">
	<p>
	<ww:text name="'noprojects.nopermissions'"/>
	</p>

	<p>
		<ww:if test="hasPermission('admin') == true">
			<a href="<%= request.getContextPath() %>/secure/admin/default.jsp"><ww:text name="'noprojects.viewallprojects.link'"/></a> <ww:text name="'noprojects.viewallprojects.end'"/>.
		</ww:if>
        <ww:else>
			<ww:text name="'noprojects.contactadmin.permissions'">
                <%--Disabled until http://jdog.atlassian.com/browse/JRADEV-1422 has been resolved--%>
                <%--<ww:param name="'value0'"><a href="<%= request.getContextPath() %>/secure/Administrators.jspa"></ww:param>--%>
                <%--<ww:param name="'value1'"></a></ww:param>--%>
                <ww:param name="'value0'"> </ww:param>
                <ww:param name="'value1'"> </ww:param>
            </ww:text>
		</ww:else>
	</p>

	</ww:if>
	<ww:else>
	<p>
	<ww:text name="'noprojects'"/>
	</p>
		<ww:if test="hasPermission('admin') == true">
			<a href="<%= request.getContextPath() %>/secure/admin/AddProject!default.jspa"><ww:text name="'noprojects.createprojectnow.link'"/></a>.
		</ww:if>
		<ww:else>
            <ww:text name="'noprojects.contactadmin.createproject'">
                <%--Disabled until http://jdog.atlassian.com/browse/JRADEV-1422 has been resolved--%>
                <%--<ww:param name="'value0'"><a href="<%= request.getContextPath() %>/secure/Administrators.jspa"></ww:param>--%>
                <%--<ww:param name="'value1'"></a></ww:param>--%>
                <ww:param name="'value0'"> </ww:param>
                <ww:param name="'value1'"> </ww:param>
            </ww:text>
		</ww:else>
	</ww:else>
</div>
</ww:else>
</ww:if>
<%-- otherwise JIRA is not setup yet - show links --%>
<ww:else>
    <page:applyDecorator name="auierrorpanel">
        <page:param name="title">SETUP JIRA</page:param> <%-- TODO: ROBERT i8ln this --%>
        <p><ww:text name="'noprojects.mustsetupfirst'"/></p>
        <p><ww:text name="'noprojects.createadmintocreateotheradmins'"/></p>
        <p><a href="<%= request.getContextPath() %>/secure/Setup!default.jspa"><ww:text name="'noprojects.setupjira.link'"/></a></p>
    </page:applyDecorator>
</ww:else>

