<%@ taglib uri="webwork" prefix="ww" %>
<div id="datesmodule" class="module toggle-wrap">
    <div class="mod-header">
        <h3 class="toggle-title"><ww:text name="'common.concepts.dates'"/></h3>
    </div>
    <div class="mod-content">
        <ul class="item-details">
            <li>
            <ww:if test="@fieldVisibility/fieldHidden(., 'duedate', ../string('type')) == false && timestamp('duedate')">
                <dl class="dates">
                    <dt><ww:text name="'issue.field.due'"/>:</dt>
                    <dd id="due-date" class="date"><ww:property value="/outlookDate/formatDMY(../timestamp('duedate'))"/></dd>
                </dl>
            </ww:if>
                <dl class="dates">
                    <dt><ww:text name="'issue.field.created'"/>:</dt>
                    <dd id="create-date" class="date"><ww:property value="/outlookDate/format(timestamp('created'))"/></dd>
                </dl>
                <dl class="dates">
                    <dt><ww:text name="'issue.field.updated'"/>:</dt>
                    <dd id="updated-date" class="date"><ww:property value="/outlookDate/format(timestamp('updated'))"/></dd>
                </dl>
            <ww:if test="timestamp('resolutiondate') != null">
                <dl class="dates">
                    <dt><ww:text name="'issue.field.resolution.date'"/>:</dt>
                    <dd id="resolved-date" class="date"><ww:property value="/outlookDate/format(timestamp('resolutiondate'))"/></dd>
                </dl>
            </ww:if>
            <ww:iterator value="/dateLayoutItems">
                <ww:property value="./orderableField">
                    <dl class="dates">
                        <dt title="<ww:property value="name" />"><ww:property value="name" />:</dt>
                        <dd id="<ww:property value="./id" />-val" class="date">
                            <ww:property value="/customFieldHtml(../fieldLayoutItem, ., /issueObject)" escape="false" />
                        </dd>
                    </dl>
                </ww:property>
            </ww:iterator>
            </li>
        </ul>
    </div>
</div>


