<%@ page import="com.atlassian.jira.ComponentManager"%>
<%@ page import="com.atlassian.jira.bean.SubTask"%>
<%@ page import="com.atlassian.jira.bean.SubTaskBean"%>
<%@ page import="com.atlassian.jira.issue.Issue"%>
<%@ page import="com.atlassian.jira.issue.IssueUtils"%>
<%@ page import="com.atlassian.jira.issue.util.AggregateTimeTrackingBean"%>
<%@ page import="com.atlassian.jira.web.action.issue.ViewIssue"%>
<%@ page import="com.atlassian.jira.web.component.IssueTableLayoutBean"%>
<%@ page import="com.atlassian.jira.web.component.IssueTableWebComponent"%>
<%@ page import="com.atlassian.jira.web.component.TableLayoutFactory"%>
<%@ page import="com.opensymphony.user.User"%>
<%@ page import="java.util.ArrayList"%>
<%@ page import="java.util.Collection" %>
<%@ page import="java.util.List" %>
<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>


<%-- Ensure we retrive 'all' subtasks and see whetehr there are any of them, and not just sub-tasks for current view, as
if there are no sub-tasks for current view, vut still some exists, we should draw the subtasks table. See JRA-5087 --%>
<ww:if test="/applicationProperties/option('jira.option.allowsubtasks')  == true">
<ww:if test="/subTaskBean/subTasks('all')/empty == false || /applicationProperties/option('jira.view.issue.show.quicksubtask.when.no.subtasks') == true">
<div class="module toggle-wrap" id="view-subtasks">
    <div class="mod-header">
        <ul id="stqc_link" class="ops">
            <ww:if test="/subTaskCreatable == true">
                <li>
                    <a id="stqc_show" href="?stqc=show" class="icon icon-add16" title="<ww:text name="'viewissue.subtasks.quickcreate.addsubtask.label'"/>"><span><ww:text name="'viewissue.subtasks.quickcreate.addsubtask.label'"/></span></a>
                </li>
            </ww:if>
            <li class="drop">
                <div class="aui-dd-parent">
                    <a href="#" class="icon drop-menu aui-dropdown-trigger" title="<ww:text name="'viewissue.subtasks.display.options'"/>"><span><ww:text name="'viewissue.subtasks.display.options'"/></span></a>
                    <div class="aui-dropdown-content aui-list aui-list-checked">
                        <ul class="aui-last">
                            <li class="aui-list-item <ww:if test="/subTaskView == 'all'"> aui-checked</ww:if>">
                                <a class="aui-list-item-link" id="subtasks-show-all" rel="nofollow"
                                   href="<ww:url value="'/browse/' + issue/string('key')" atltoken="false"><ww:param name="'subTaskView'" value="'all'"/></ww:url>#issuetable"
                                   title="<ww:text name="'viewissue.subtasks.tab.show.all.subtasks'"/>">
                                    <ww:text name="'viewissue.subtasks.tab.show.all.subtasks'"/>
                                </a>
                            </li>
                            <li class="aui-list-item <ww:if test="/subTaskView == 'unresolved'"> aui-checked</ww:if>">
                                <a class="aui-list-item-link" id="subtasks-show-open" rel="nofollow"
                                   href="<ww:url value="'/browse/' + issue/string('key')" atltoken="false"><ww:param name="'subTaskView'" value="'unresolved'"/></ww:url>#issuetable"
                                   title="<ww:text name="'viewissue.subtasks.tab.show.open.subtasks'"/>">
                                    <ww:text name="'viewissue.subtasks.tab.show.open.subtasks'"/>
                                </a>
                            </li>
                        </ul>
                    </div>
                </div>
            </li>
        </ul>
        <ww:if test="/timeTrackingEnabled == false">
            <div class="subtask-prog-wrap">
                <span><ww:text name="'viewissue.subtasks.progress'"/></span>
                <table id="subtasks_resolution_percentage" cellspacing="0" cellpadding="0" border="0">
                    <tr>
                        <ww:component template="percentagegraph.jsp" name="'/subTaskBean/subTaskProgress'" />
                    </tr>
                </table>
            </div>
        </ww:if>
        <h3 class="toggle-title"><ww:text name="'issue.field.subtasks'"/></h3>
    </div>
    <div class="mod-content intform">
        <ww:if test="/subTaskCreatable == true">
            <form enctype="multipart/form-data" id="stqcform" name="stqcform" action="<%= request.getContextPath() %>/secure/CreateSubTaskIssueDetails.jspa" method="post" onsubmit="if (this.submitted) return false; this.submitted = true; return true">
            <ww:component name="'atl_token'" value="/xsrfToken" template="hidden.jsp"/>
            <ww:property value="/subTaskQuickCreationWebComponent/html()" escape="'false'" />

            </form>
        </ww:if>
        <ww:if test="/selectedIssueId != null">
            <style type="text/css">
                <!--
                #issuerow<ww:property value="/selectedIssueId"/> {background-color: #f2f2f2;}
                -->
            </style>
        </ww:if>





<ww:property value="/subTaskBean/subTasks(/subTaskView)" id="subtasks"/>
<ww:property value="/" id="viewIssueAction"/>

    <ww:if test="@subtasks != null && @subtasks/empty == false">
        <%
            ViewIssue viewIssue = (ViewIssue) pageContext.getAttribute("viewIssueAction");
            AggregateTimeTrackingBean aggregateTTBean = viewIssue.getAggregateTimeTrackingBean();


            SubTaskBean subTaskBean = viewIssue.getSubTaskBean();
            String subTaskView = viewIssue.getSubTaskView();
            Collection issues = subTaskBean.getSubTasks(subTaskView);
            Issue parentIssue = viewIssue.getIssueObject();
            User user = viewIssue.getRemoteUser();

            List issueObjects = new ArrayList();
            boolean atLeastOneIssueHasTimeTrackingData = false;
            // get the subtask Issue object out of each SubTask and calculate if we need to display timetracking progress
            for (java.util.Iterator iterator = issues.iterator(); iterator.hasNext();)
            {
                SubTask subTask = (SubTask) iterator.next();
                Issue subTaskIssue = subTask.getSubTaskIssueObject();
                atLeastOneIssueHasTimeTrackingData = atLeastOneIssueHasTimeTrackingData || IssueUtils.hasTimeTracking(subTaskIssue);
                issueObjects.add(subTaskIssue);
            }

            IssueTableWebComponent issueTable = new IssueTableWebComponent();
            TableLayoutFactory layoutFactory = (TableLayoutFactory) ComponentManager.getComponentInstanceOfType(TableLayoutFactory.class);
            IssueTableLayoutBean layout = layoutFactory.getSubTaskIssuesLayout(user, parentIssue, subTaskBean, subTaskView, atLeastOneIssueHasTimeTrackingData);

            layout.addCellDisplayParam("aggTTBean", aggregateTTBean);
            out.print(issueTable.getHtml(layout, issueObjects, null));
        %>

    </ww:if>
    <ww:else>
        <div class="notify info">
            <ww:text name="'viewissue.subtasks.notasksforview'"/>
        </div>
    </ww:else>

	
</div>
</div>

</ww:if>
</ww:if>
