<%@ page import="com.atlassian.jira.web.exception.InvalidDirectJspCallException" %>
<%@ page import="webwork.action.ActionContext" %>
<%@ taglib uri="webwork" prefix="ww" %>

<%
    if (ActionContext.getValueStack().findValue("/") == null)
    {
        throw new InvalidDirectJspCallException("Calling logout.jsp directly. This is no longer supported.", "logout.jsp");
    }
%>

<html>
<head>
	<title><ww:text name="'logout.title'"/></title>
</head>
<body>
    <h2><ww:text name="'logout.title'"/></h2>
    <p>
        <ww:text name="'logout.desc.line1'"/>
    </p>
    <p>
        <ww:text name="'logout.desc.line2'">
            <ww:param name="'value0'"><a href="<%= request.getContextPath() %>/secure/"></ww:param>
            <ww:param name="'value1'"></a></ww:param>
        </ww:text>
    </p>
</body>
</html>
