<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title><ww:text name="'admin.globalsettings.trackbacks.jira.trackbacks'"/></title>
</head>

<body>
    <page:applyDecorator name="jiratable">
        <page:param name="title"><ww:text name="'admin.globalsettings.trackbacks.trackback.settings'"/></page:param>
        <page:param name="width">100%</page:param>
        <page:param name="titleColspan">2</page:param>
        <page:param name="helpURL">trackback</page:param>
        <page:param name="description">
          <ww:text name="'admin.globalsettings.trackbacks.description'">
              <ww:param name="'value0'"><em></ww:param>
              <ww:param name="'value1'"></em></ww:param>
              <ww:param name="'value2'"><a href="http://www.movabletype.org/docs/mttrackback.html"></ww:param>
              <ww:param name="'value3'"></a></ww:param>
              <ww:param name="'value4'"><br></ww:param>
          </ww:text>
          <ul>
          <li><ww:text name="'admin.globalsettings.trackbacks.description.incoming'">
              <ww:param name="'value0'"><b></ww:param>
              <ww:param name="'value1'"></b></ww:param>
              <ww:param name="'value2'"><a href="<ww:component name="'external.link.confluence.product.site'" template="externallink.jsp" />"></ww:param>
              <ww:param name="'value3'"></a></ww:param>
          </ww:text></p></li>
          <li><ww:text name="'admin.globalsettings.trackbacks.description.outgoing'">
              <ww:param name="'value0'"><b></ww:param>
              <ww:param name="'value1'"></b></ww:param>
          </ww:text></p></li>
          <li><ww:text name="'admin.globalsettings.trackbacks.description.url.patterns.to.exclude'">
              <ww:param name="'value0'"><b></ww:param>
              <ww:param name="'value1'"></b></ww:param>
          </ww:text></li>
          </ul>
          <ww:text name="'admin.common.phrases.more.information'"/>

        </page:param>

        <tr>
            <td valign="top" bgcolor="#ffffff" width=40% align=left>
            &nbsp; <b><ww:text name="'admin.globalsettings.trackbacks.accept.incoming.trackback.pings'"/></b>
            <td bgcolor="#ffffff" width=60%>
                <ww:if test="acceptPings == true">
                    <font color="#009900"><b><ww:text name="'admin.common.words.on'"/></b></font>
			    </ww:if>
			    <ww:else>
				    <font color="#990000"><b><ww:text name="'admin.common.words.off'"/></b></font>
                </ww:else>
            </td>
        </tr>
        <tr>
            <td valign="top" bgcolor="#fffff0" width=40% align=left>
            &nbsp; <b><ww:text name="'admin.globalsettings.trackbacks.send.outgoing.trackback.pings'"/></b>
            </td>
            <td  bgcolor="#fffff0" width=60%>
                <ww:if test="sendPings == 'allIssues'">
                    <font color="#009900"><b><ww:text name="'admin.common.words.on'"/></b> (<ww:text name="'admin.globalsettings.trackbacks.for.all.issues'"/>)</font>
			    </ww:if>
                <ww:elseIf test="sendPings == 'public'">
                    <font color="#009900"><b><ww:text name="'admin.common.words.on'"/></b> (<ww:text name="'admin.globalsettings.trackbacks.for.public.issues.only'"/>)</font>
			    </ww:elseIf>
			    <ww:else>
				    <font color="#990000"><b><ww:text name="'admin.common.words.off'"/></b></font>
                </ww:else>
            </td>
        </tr>
        <tr>
            <td valign="top" bgcolor="#ffffff" width=40% align=left>
            &nbsp; <b><ww:text name="'admin.globalsettings.trackbacks.url.patterns.to.exclude'"/></b>
            </td>
            <td  bgcolor="#ffffff" width=60%>
                <ww:property value="/urlExcludePattern" />
            </td>
        </tr>

        <!--<tr>-->
            <!--<td valign="top" bgcolor="#fffff0" width=40% align=left>-->
            <!--&nbsp; <strong>Allowed URL Patterns</strong>-->
            <!--</td>-->
            <!--<td  bgcolor="#fffff0" width=60%>-->
                <%--<ww:property value="/urlAllowedPattern" />--%>
            <!--</td>-->
        <!--</tr>-->

    </page:applyDecorator>


    <table align=center bgcolor="#bbbbbb" border="0" cellpadding="0" cellspacing="0" width="100%" class="p-correction"><tr><td>
    <table border="0" cellpadding="3" cellspacing="1" width=100%>
    	<tr bgcolor=#f0f0f0>
    		<td class="colHeaderLink" colspan=2 align=center>
    			<a href="TrackbackAdmin!default.jspa"><b><ww:text name="'admin.common.phrases.edit.configuration'"/></b></a>
    		</td>
    	</tr>
    </table>
    </td></tr></table>


</body>
</html>
