<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<html>
<head><title><ww:text name="'admin.externalimport.csv.configure.csv.importer'"/></title></head>
<body>

<style type="text/css">
<!--
.formLabel
{
    width: 30%;
}

.mappingTable .fieldLabelArea
{
    width: 30%;
}

.addConstantLink
{
    vertical-align: middle;
    padding-left: 0.5em;
    font-size: 80%;
}

.addConstantLink img
{
    margin: auto;
    vertical-align: middle;

    padding-right: 1em;
}
-->
</style>

<script language="JavaScript" type="text/javascript">
<!--
    function addJiraConstant(constantType, constantValue, constantField)
    {
        document.jiraform.constantType.value = constantType;
        document.jiraform.constantValue.value = constantValue;
        document.jiraform.constantField.value = constantField;
        document.jiraform.addConstant.value = 'true';
        document.jiraform.submit();
        return false;
    }
//-->
</script>

<page:applyDecorator name="jiraform">
    <page:param name="action">ConfigureCsvMapping.jspa</page:param>
    <page:param name="cancelURI">CsvImporter!default.jspa</page:param>
    <page:param name="title"><ww:text name="'admin.csvimport.wizard'"/>: <ww:text name="'admin.csvimport.value.mappings'"/></page:param>
    <page:param name="wizard">true</page:param>
	<page:param name="instructions">
       <ww:text name="'admin.externalimport.unique.values.displayed'">
           <ww:param name="'value0'"><em></ww:param>
           <ww:param name="'value1'"></em></ww:param>
           <ww:param name="'value2'"><strong><ww:property value="'<<blank>>'" /></strong></ww:param>
       </ww:text> <br/>
        <ww:text name="'admin.csvimport.can.create.on.the.fly'">
            <ww:param name="'value0'"><img src='<%= request.getContextPath() %>/images/icons/add_16.gif' alt="<ww:text name="'admin.csvimport.sample.icon'"/>" /></ww:param>
        </ww:text>
	</page:param>

    <ui:component name="'constantType'" template="hidden.jsp" theme="'single'" value="''" />
    <ui:component name="'constantValue'" template="hidden.jsp" theme="'single'" value="''" />
    <ui:component name="'constantField'" template="hidden.jsp" theme="'single'" value="''" />
    <ui:component name="'addConstant'" template="hidden.jsp" theme="'single'" value="'false'" />

    <tr><td colspan="2">
<ww:if test="/bean/mapValues">
    <table class="grid maxWidth">
    <tr>
        <th><ww:text name="'admin.csvimport.csv.header.row'"/></th>
        <th><ww:text name="'admin.externalimport.map.field.value'"/></th>
    </tr>
    <ww:iterator value="/bean/mapValues" status="'rowStatus'">
    <tr>
        <td class="formLabel">
            <ww:property value="." />
            <br />
            <span class="subText">(<ww:text name="'admin.csvimport.imported.as'">
                <ww:param name="'value0'"><strong><ww:property value="bean/value(/bean/fieldName(.))" /></strong></ww:param>
            </ww:text>)</span>
        </td>
        <td>

            <table class="grid maxWidth mappingTable">
            <tr>
                <th class="fieldLabelArea"><ww:text name="'admin.externalimport.value.in.importer'"/></th>
                <th class="fieldValueArea"><ww:text name="'admin.externalimport.target.value'"/></th>
            </tr>
                <ww:iterator value="/bean/currentValues(.)">

<ww:if test="bean/value(/bean/fieldName(..)) == 'priority'">
    <ui:select label="." name="/bean/convertedValueMappingName(..,.)"
               list="/priorities" listKey="'id'" listValue="'nameTranslation'"
               template="selectmap.jsp"
               value="/bean/value(/bean/valueMappingName(..,.))">
        <ui:param name="'title'" value="text('admin.csvimport.option.priority')" />
        <ui:param name="'headerrow'" value="text('admin.csvimport.option.no.mapping')" />
        <ui:param name="'headervalue'" value="" />
        <ui:param name="'headerrow2'" value="text('admin.csvimport.option.blank')" />
        <ui:param name="'headervalue2'" value="'<<blank>>'" />
        <ui:param name="'extrahtml'">
            <ww:if test="/nameInList(/priorities, .) == false">
            <a class="addConstantLink" href="<ww:url value="'ConfigureCsvMapping!addConstant.jspa'">
              <ww:param name="'currentStep'" value="/currentStep"/>
              <ww:param name="'constantType'" value="'Priority'"/>
              <ww:param name="'constantValue'" value="."/>
              <ww:param name="'constantField'" value=".."/>
           </ww:url>"onclick="try { return addJiraConstant('<ww:property value="'Priority'"/>', '<ww:property value="."/>', '<ww:property value=".."/>');} catch(e) {return true;}"><img src='<%= request.getContextPath() %>/images/icons/add_16.gif' alt="<ww:text name="'admin.csvimport.add.new.priority'">
               <ww:param name="'value0'">'<ww:property />'</ww:param>
           </ww:text>" title="<ww:text name="'admin.csvimport.add.new.priority'">
               <ww:param name="'value0'">'<ww:property />'</ww:param>
           </ww:text>" /><ww:text name="'admin.csvimport.add.new.priority'">
               <ww:param name="'value0'">'<ww:property />'</ww:param>
           </ww:text></a>
            </ww:if>
        </ui:param>
    </ui:select>
</ww:if>

<ww:elseIf test="bean/value(/bean/fieldName(..)) == 'resolution'">
    <ui:select label="." name="/bean/convertedValueMappingName(..,.)"
               list="/resolutions" listKey="'id'" listValue="'nameTranslation'"
               template="selectmap.jsp"
               value="/bean/value(/bean/valueMappingName(..,.))">
        <ui:param name="'title'" value="text('admin.csvimport.option.resolution')" />
        <ui:param name="'headerrow'" value="text('admin.csvimport.option.no.mapping')" />
        <ui:param name="'headervalue'" value="" />
        <ui:param name="'headerrow2'" value="text('admin.csvimport.option.blank')" />
        <ui:param name="'headervalue2'" value="'<<blank>>'" />
        <ui:param name="'extrahtml'">
            <ww:if test="/nameInList(/resolutions, .) == false">
            <a class="addConstantLink" href="<ww:url value="'ConfigureCsvMapping!addConstant.jspa'">
              <ww:param name="'currentStep'" value="/currentStep"/>
              <ww:param name="'constantType'" value="'Resolution'"/>
              <ww:param name="'constantValue'" value="."/>
              <ww:param name="'constantField'" value=".."/>
           </ww:url>"onclick="try { return addJiraConstant('<ww:property value="'Resolution'"/>', '<ww:property value="."/>', '<ww:property value=".."/>');} catch(e) {return true;}"><img src='<%= request.getContextPath() %>/images/icons/add_16.gif' alt="<ww:text name="'admin.csvimport.add.new.resolution'">
               <ww:param name="'value0'">'<ww:property />'</ww:param>
           </ww:text>" title="<ww:text name="'admin.csvimport.add.new.resolution'">
               <ww:param name="'value0'">'<ww:property />'</ww:param>
           </ww:text>" /><ww:text name="'admin.csvimport.add.new.resolution'">
               <ww:param name="'value0'">'<ww:property />'</ww:param>
           </ww:text></a>
            </ww:if>
        </ui:param>
    </ui:select>
</ww:elseIf>

<ww:elseIf test="bean/value(/bean/fieldName(..)) == 'type'">
    <ui:select label="." name="/bean/convertedValueMappingName(..,.)"
               list="/issueTypes" listKey="'id'" listValue="'nameTranslation'"
               template="selectmap.jsp"
               value="/bean/value(/bean/valueMappingName(..,.))">
        <ui:param name="'title'" value="text('admin.csvimport.option.issue.type')" />
        <ui:param name="'headerrow'" value="text('admin.csvimport.option.no.mapping')" />
        <ui:param name="'headervalue'" value="" />
        <ui:param name="'headerrow2'" value="text('admin.csvimport.option.blank')" />
        <ui:param name="'headervalue2'" value="'<<blank>>'" />
        <ui:param name="'extrahtml'">
            <ww:if test="/nameInList(/issueTypes, .) == false">
            <a class="addConstantLink" href="<ww:url value="'ConfigureCsvMapping!addConstant.jspa'">
              <ww:param name="'currentStep'" value="/currentStep"/>
              <ww:param name="'constantType'" value="'IssueType'"/>
              <ww:param name="'constantValue'" value="."/>
              <ww:param name="'constantField'" value=".."/>
           </ww:url>" onclick="try { return addJiraConstant('<ww:property value="'IssueType'"/>', '<ww:property value="."/>', '<ww:property value=".."/>');} catch(e) {return true;}"><img src='<%= request.getContextPath() %>/images/icons/add_16.gif' alt="<ww:text name="'admin.csvimport.add.new.issue.type'">
               <ww:param name="'value0'">'<ww:property />'</ww:param>
           </ww:text>" title="<ww:text name="'admin.csvimport.add.new.issue.type'">
               <ww:param name="'value0'">'<ww:property />'</ww:param>
           </ww:text>" /><ww:text name="'admin.csvimport.add.new.issue.type'">
               <ww:param name="'value0'">'<ww:property />'</ww:param>
           </ww:text></a>
            </ww:if>
        </ui:param>
    </ui:select>
</ww:elseIf>

<ww:elseIf test="bean/value(/bean/fieldName(..)) == 'status'">
    <ui:select label="." name="/bean/convertedValueMappingName(..,.)"
               list="/statuses" listKey="'id'" listValue="'nameTranslation'"
               template="selectmap.jsp"
               value="/bean/value(/bean/valueMappingName(..,.))">
        <ui:param name="'title'" value="text('admin.csvimport.option.status')" />
        <ui:param name="'headerrow'" value="text('admin.csvimport.option.no.mapping')" />
        <ui:param name="'headervalue'" value="" />
        <ui:param name="'headerrow2'" value="text('admin.csvimport.option.blank')" />
        <ui:param name="'headervalue2'" value="'<<blank>>'" />
    </ui:select>
</ww:elseIf>
<ww:else>
    <ui:textfield label="." name="/bean/convertedValueMappingName(..,.)"
                  value="/bean/value(/bean/valueMappingName(..,.))" >
    </ui:textfield>
</ww:else>
                </ww:iterator>
            </table>
        </td>
    </tr>
    </ww:iterator>
    </table>
</ww:if>
<ww:else>
    <ww:text name="'admin.csvimport.no.fields.selected'"/>
</ww:else>

    </td></tr>
</page:applyDecorator>

</body>
</html>
