<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<html>
<head><title><ww:text name="'admin.externalimport.fogbugz.title'"/></title></head>
<body>
<page:applyDecorator name="jiraform">
    <page:param name="action">ConfigureFogBugzMapping!chooseFieldMappings.jspa</page:param>
    <page:param name="cancelURI">FogBugzImport!default.jspa</page:param>
    <page:param name="title"><ww:text name="'admin.externalimport.fogbugz.title.prefix'"/> <ww:text name="'admin.externalimport.mappings.field'"/></page:param>
    <page:param name="wizard">true</page:param>
	<page:param name="instructions">
        <p><ww:text name="'admin.externalimport.fogbugz.mappings.field.description'"/></p>
	</page:param>

    <tr>
    <td colspan="2">
    <table class="grid centred">
    <tr>
        <th><ww:text name="'admin.externalimport.fogbugz.mappings.field.import.field'"/></th>
        <th><ww:text name="'admin.externalimport.fogbugz.mappings.field.jira.field'"/></th>
    </tr>
    <ww:iterator value="/bean/fogBugzFieldNames" status="'rowStatus'">
    <tr class="mappingrow">
        <td class="formLabel">
            <span class="mappingname"><ww:property value="." /></span>
        </td>
        <td>
            <select id="<ww:property value="." />"
                    name="<ww:property value="." />"
                    class="importField"
                    >
                <option value="">None</option>
                <ww:iterator value="/bean/availableFieldMappings" status="'rowStatus'">
                <optgroup label="<ww:property value="./key" />" >
                <ww:iterator value="./value" >
                    <option value="<ww:property value="./id" />" <ww:if test="/bean/selectedFieldMapping(../.., ./id) == true">selected="selected"</ww:if>>
                        <ww:property value="./name" />
                    </option>
                </ww:iterator>
                </optgroup>
                </ww:iterator>
            </select>
        </td>
    </tr>

    </ww:iterator>
    </table>
    </td>
    </tr>

</page:applyDecorator>

</body>
</html>
