<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<html>
<head><title><ww:text name="'admin.externalimport.fogbugz.title'"/></title></head>
<body>
<style type="text/css">
<!--
.formLabel
{
    width: 30%;
}

.fieldValueArea INPUT, .fieldValueArea SELECT
{
    width: 95%;
}
-->
</style>
<page:applyDecorator name="jiraform">
    <page:param name="action">ConfigureFogBugzMapping!chooseValueMappings.jspa</page:param>
    <page:param name="cancelURI">FogBugzImport!default.jspa</page:param>
    <page:param name="title"><ww:text name="'admin.externalimport.fogbugz.title.prefix'"/> <ww:text name="'admin.externalimport.mappings.value'"/></page:param>
    <page:param name="wizard">true</page:param>
	<page:param name="instructions">
        <p>
       <ww:text name="'admin.externalimport.unique.values.displayed'">
           <ww:param name="'value0'"><em></ww:param>
           <ww:param name="'value1'"></em></ww:param>
           <ww:param name="'value2'"><strong><ww:property value="'<<blank>>'" /></strong></ww:param>
       </ww:text>
        </p>
	</page:param>

    <tr>
    <td colspan="2">
    <ww:if test="/bean/valueMappingHelper/fieldsForValueMapping && /bean/valueMappingHelper/fieldsForValueMapping/empty == false">
    <table class="grid centred maxWidth">
    <tr>
        <th><ww:text name="'admin.externalimport.fogbugz.mappings.field.import.field'"/></th>
        <th><ww:text name="'admin.externalimport.map.field.value'"/></th>
    </tr>
    <ww:iterator value="/bean/valueMappingHelper/fieldsForValueMapping" status="'rowStatus'">
    <tr>
        <td class="formLabel">
            <ww:property value="." />
        </td>
        <td>
            <table class="grid maxWidth mappingTable">
            <tr>
                <th class="fieldLabelArea"><ww:text name="'admin.externalimport.value.in.importer'"/></th>
                <th class="fieldValueArea"><ww:text name="'admin.externalimport.target.value'"/></th>
            </tr>
            <ww:iterator value="/bean/valueMappingHelper/distinctValuesForField(.)">
                <ww:if test="/bean/valueMappingHelper/jiraField(..)/issueConstants">
                    <ui:select label="." name="/bean/valueMappingHelper/valueMappingFieldName(..,.)"
                               list="/bean/valueMappingHelper/jiraField(..)/issueConstants" listKey="'name'" listValue="'name'"
                               template="selectWithTextArea.jsp"
                               value="/bean/valueMappingHelper/valueMapping(..,.)">
                        <ui:param name="'headerrow'" value="text('admin.externalimport.values.nomapping')" />
                        <ui:param name="'headervalue'" value="''" />
                        <ui:param name="'headerrow2'" value="text('admin.externalimport.values.importasblank')" />
                        <ui:param name="'headervalue2'" value="'<<blank>>'" />
                        <ui:param name="'optionIcon'">iconUrl</ui:param>
                    </ui:select>
                </ww:if>
                <ww:else>
                    <ui:textfield label="." name="/bean/valueMappingHelper/valueMappingFieldName(..,.)"
                                  value="/bean/valueMappingHelper/valueMapping(..,.)" >
                        <ui:param name="'extrahtml'"><ww:property value="/bean/valueMappingHelper/jiraField(..)/id" /></ui:param>
                    </ui:textfield>
                </ww:else>
            </ww:iterator>
            </table>
        </td>
    </tr>

    </ww:iterator>
    </table>
    </ww:if>
    <ww:else>
        <ww:text name="'admin.externalimport.value.no.fields'" />            
    </ww:else>
    </td>
    </tr>

</page:applyDecorator>

</body>
</html>
