<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<html>
<head>
	<title><ww:text name="'admin.issuefields.fieldconfigurations.view.field.configurations'"/></title>
</head>
<body>
    <page:applyDecorator name="jirapanel">
        <page:param name="title"><ww:text name="'admin.issuefields.fieldconfigurations.view.field.configurations'"/></page:param>
        <page:param name="width">100%</page:param>
        <page:param name="helpURL">issuefields</page:param>
        <p>
            <ww:text name="'admin.issuefields.fieldconfigurations.the.table.below'"/>
        </p>
        <p>
             <ww:text name="'admin.issuefields.fieldconfigurations.description'"/>
         </p>
         <p>
             <ww:text name="'admin.issuefields.fieldconfigurations.activation'">
                 <ww:param name="'value0'"><a href="ViewFieldLayoutSchemes.jspa"></ww:param>
                 <ww:param name="'value1'"></a></ww:param>
             </ww:text>
        </p>
    </page:applyDecorator>

    <p>
        <table align=center bgcolor="#bbbbbb" border="0" cellpadding="0" cellspacing="0" width=90%>
        <tr><td>
        <table border="0" cellpadding="3" cellspacing="1" width=100%>
            <tr bgcolor=#f0f0f0>
                <td class="colHeaderLink">
                    <b><ww:text name="'common.words.name'"/></b>
                </td>
                <td class="colHeaderLink">
                    <b><ww:text name="'admin.issuefields.fieldconfigurations.field.configuration.schemes'"/></b>
                </td>
                <td class="colHeaderLink">
                    <b><ww:text name="'common.words.operations'"/></b>
                </td>
            </tr>

            <ww:iterator value="/fieldLayouts" status="'status'">
            <tr bgcolor="#<ww:if test="@status/modulus(2) == 1">ffffff</ww:if><ww:else>fffff0</ww:else>">
                <td valign=top>
                    <img src="<%= request.getContextPath() %>/images/icons/form_blue_small.gif" width=16 height=16 title="<ww:text name="'admin.issuefields.fieldconfigurations.field.layout.scheme'"/>" STYLE="float:left; padding-right:3; align">
                    <ww:if test="./type">
                        <a href="<ww:url page="/secure/admin/ViewIssueFields.jspa" />" title="<ww:text name="'admin.issuefields.fieldconfigurations.edit.field.properties'"/>"><b><ww:property value="./name"/></b></a>
                    </ww:if>
                    <ww:else>
                        <a href="<ww:url page="/secure/admin/ConfigureFieldLayout!default.jspa"><ww:param name="'id'" value="./id"/></ww:url>" title="<ww:text name="'admin.issuefields.fieldconfigurations.edit.field.properties'"/>"><b><ww:property value="./name"/></b></a>
                    </ww:else>
                    <br>
                    <ww:property value="./description"/></td>
                <td valign=top nowrap>
                    <ww:if test="/fieldLayoutSchemes(.)/empty == false">
                        <ul class="square_blue">
                            <ww:iterator value="/fieldLayoutSchemes(.)">
                                <li><a href="<ww:url page="/secure/admin/ConfigureFieldLayoutScheme.jspa"><ww:param name="'id'" value="./id" /></ww:url>"><ww:property value="./name" /></a></li>
                            </ww:iterator>
                        </ul>
                    </ww:if>
                </td>
                <td width="1%" valign=top nowrap>
                    <ww:if test="./type">
                        <a id="configure-<ww:property value="./name"/>" href="<ww:url page="/secure/admin/ViewIssueFields.jspa" />" title="<ww:text name="'admin.issuefields.fieldconfigurations.edit.field.properties'"/>"><ww:text name="'admin.common.words.configure'"/></a>
                    </ww:if>
                    <ww:else>
                        <a id="configure-<ww:property value="./name"/>" href="<ww:url page="/secure/admin/ConfigureFieldLayout!default.jspa"><ww:param name="'id'" value="./id"/></ww:url>" title="<ww:text name="'admin.issuefields.fieldconfigurations.edit.field.properties'"/>"><ww:text name="'admin.common.words.configure'"/></a>
                    </ww:else>
                    |
                    <a id="copy-<ww:property value="./name"/>" href="<ww:url page="/secure/admin/CopyFieldLayout!default.jspa"><ww:param name="'id'" value="./id"/></ww:url>" title="<ww:text name="'admin.issuefields.fieldconfigurations.create.copy.of'">
                        <ww:param name="'value0'"><ww:property value="./name" /></ww:param>
                    </ww:text>"><ww:text name="'common.words.copy'"/></a>
                    <ww:if test="./type == null">
                        |
                        <a id="edit-<ww:property value="./name"/>" href="<ww:url page="/secure/admin/EditFieldLayout!default.jspa"><ww:param name="'id'" value="./id"/></ww:url>" title="<ww:text name="'admin.issuefields.fieldconfigurations.edit'">
                            <ww:param name="'value0'"><ww:property value="./name" /></ww:param>
                        </ww:text>"><ww:text name="'common.words.edit'"/></a>
                    </ww:if>

                    <!-- Field Configuration can only be deleted if it is not associated with a scheme -->
                    <ww:if test="./type == null && /fieldLayoutSchemes(.)/empty == true">
                        |
                        <a id="delete-<ww:property value="./name"/>" href="<ww:url page="/secure/admin/DeleteFieldLayout!default.jspa"><ww:param name="'id'" value="./id"/></ww:url>" title="<ww:text name="'admin.issuefields.fieldconfigurations.delete'">
                            <ww:param name="'value0'"><ww:property value="./name" /></ww:param>
                        </ww:text>"><ww:text name="'common.words.delete'"/></a>
                    </ww:if>

                </td>
            </tr>
            </ww:iterator>
            <ww:if test="fieldLayoutScheme/size == 0">
            <tr bgcolor=#ffffff>
                <td colspan=3><ww:text name="'admin.issuefields.fieldconfigurations.no.schemes.configured'"/></td>
            </tr>
            </ww:if>
        </table>
        </td></tr>
        </table>
    </p>

    <p>
    <page:applyDecorator name="jiraform">
        <page:param name="action">AddFieldLayout.jspa</page:param>
        <page:param name="submitId">add_submit</page:param>
        <page:param name="submitName"><ww:text name="'common.forms.add'"/></page:param>
        <page:param name="title"><ww:text name="'admin.issuefields.fieldconfigurations.add.field.configuration'"/></page:param>
        <page:param name="width">100%</page:param>
        <page:param name="description">
            <ww:text name="'admin.issuefields.fieldconfigurations.add.field.instructions'">
                <ww:param name="'value0'"><b></ww:param>
                <ww:param name="'value1'"></b></ww:param>
            </ww:text>
        </page:param>

        <ui:textfield label="text('common.words.name')" name="'fieldLayoutName'" size="'30'">
            <ui:param name="'mandatory'">true</ui:param>
        </ui:textfield>

        <ui:textfield label="text('common.words.description')" name="'fieldLayoutDescription'" size="'60'" />
    </page:applyDecorator>
    </p>
</body>
</html>
