
<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title><ww:text name="'admin.listeners.edit.listener'"/></title>
</head>

<body>

<page:applyDecorator name="jiraform">
	<page:param name="action">EditListener.jspa</page:param>
	<page:param name="submitId">update_submit</page:param>
	<page:param name="submitName"><ww:text name="'common.forms.update'"/></page:param>
	<page:param name="width">100%</page:param>
	<page:param name="cancelURI">ViewListeners!default.jspa</page:param>
	<page:param name="title"><ww:text name="'admin.listeners.edit.listener2'">
	    <ww:param name="'value0'"><ww:property value="listener/string('name')" /></ww:param>
	</ww:text></page:param>
	<page:param name="description">
        <ww:if test="/jiraListener/description"><b><ww:text name="'common.words.description'"/>:</b><br><ww:property value="/jiraListener/description" escape="false" /></ww:if>
        <br><b><ww:text name="'admin.common.words.instructions'"/>:</b><br><ww:text name="'admin.listeners.edit.instructions'"/>
    </page:param>

	<ww:iterator value="acceptedParams">
	<tr>
		<td align="right" valign="top" bgcolor="#fffff0">
			<span class="label">
			<ww:property value="." />
			</span>
		</td>

		<td bgcolor="#ffffff">
			<input type="text" name="<ww:property value="." />" value="<ww:property value="paramValue(.)" />">
		</td>
	</tr>
	</ww:iterator>

	<ui:component name="'id'" template="hidden.jsp" />
</page:applyDecorator>

</body>
</html>
