<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title>
        <ww:text name="'admin.projectroles.view.roles'" >
            <ww:param><ww:property value="/project/name"/></ww:param>
        </ww:text>
    </title>
</head>

<body>

<page:applyDecorator name="jirapanel">
    <page:param name="title">
        <ww:text name="'admin.projectroles.view.roles'" >
            <ww:param><ww:property value="/project/name"/></ww:param>
        </ww:text>
    </page:param>
    <page:param name="width">100%</page:param>
    <page:param name="helpURL">project_role_membership</page:param>

    <p>
    <ww:text name="'admin.projectroles.the.table.below'">
        <ww:param name="'value0'">
            <a href="ViewProject.jspa?pid=<ww:property value="projectId" />"><b><ww:property value="/project/name"/></b></a>
        </ww:param>
    </ww:text>
    </p>
    <ww:if test="/roles/size == 0">
        <strong><ww:text name="'admin.projectroles.view.noroles'"/></strong>
    </ww:if>
</page:applyDecorator>

<p>

    <ww:if test="/roles/size > 0">

    <table align=center bgcolor="#bbbbbb" border="0" cellpadding="0" cellspacing="0" width=90%><tr><td>
    <table border="0" cellpadding="3" cellspacing="1" width="100%" id="project_role_actors">
        <tr bgcolor=#f0f0f0>
            <td class="colHeaderLink" width="20%">
                <b><ww:text name="'common.words.role'"/></b>
            </td>
            <ww:iterator value="roleActorTypes">
                <td class="colHeaderLink" width="<ww:property value="/tableWidthForRoleActorTypes(80)" />%">
                    <b><ww:property value="./prettyName" /></b>
                </td>
            </ww:iterator>

        </tr>

        <ww:iterator value="/roles" status="'status'">
        <tr bgcolor="#<ww:if test="@status/odd == true">ffffff</ww:if><ww:else>fffff0</ww:else>">
            <td valign=top>
                <b><ww:property value="name"/></b><br/><ww:property value="description"/>
                <ww:if test="roleType/description/length > 1">
                    <br>
                    <ww:property value="roleType/description"/>
                </ww:if>
            </td>
            <jsp:include page="displayroleactors.jsp"/>
        </tr>
        </ww:iterator>
    </table>
    </td></tr></table>
    </ww:if>
</p>
</body>
</html>
