<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title><ww:text name="'admin.roles.view.roles'"/></title>
</head>

<body>

<page:applyDecorator name="jirapanel">
    <page:param name="title"><ww:text name="'admin.roles.view.roles'"/></page:param>
    <page:param name="width">100%</page:param>
    <page:param name="helpURL">project_roles</page:param>
    <p>
        <ww:text name="'admin.roles.the.table.below'">
           <ww:param name="'value0'"><p/></ww:param>
        </ww:text>
    </p>
</page:applyDecorator>

<p>
    <ww:if test="/roles/size() > 0">
    <table class="grid defaultWidth centered">
        <tr>
            <th>
                <ww:text name="'admin.projectroles.view.project.role.name'"/>
            </th>
            <th>
                <ww:text name="'common.words.description'"/>
            </th>
            <th>
                <b><ww:text name="'common.words.operations'"/></b>
            </th>
        </tr>

        <ww:iterator value="/roles" status="'status'">
        <tr id="project-role-<ww:property value="name"/>" bgcolor="#<ww:if test="@status/odd == true">ffffff</ww:if><ww:else>fffff0</ww:else>">
            <td valign=top width="20%">
                <b><ww:property value="name"/></b></td>
            <td>
                <ww:property value="description"/>
            </td>
            <td valign=top nowrap>
                <a href="ViewProjectRoleUsage.jspa?id=<ww:property value="id"/>" id="view_<ww:property value="name"/>"><ww:text name="'admin.roles.view.usages'"/></a>
                |
                <a href="ViewDefaultProjectRoleActors.jspa?id=<ww:property value="id"/>" id="manage_<ww:property value="name"/>"><ww:text name="'admin.roles.manage.default.members'"/></a>
                |
                <a href="EditProjectRole!default.jspa?id=<ww:property value="id"/>" id="edit_<ww:property value="name"/>"><ww:text name="'common.words.edit'"/></a>
                |
                <a href="DeleteProjectRole!default.jspa?id=<ww:property value="id"/>" id="delete_<ww:property value="name"/>"><ww:text name="'common.words.delete'"/></a>
            </td>
        </tr>
        </ww:iterator>
    </table>
    </ww:if>


    <p>
    <page:applyDecorator name="jiraform">
        <page:param name="action">AddProjectRole.jspa</page:param>
        <page:param name="width">100%</page:param>
        <page:param name="submitId">role_submit</page:param>
        <page:param name="submitName"><ww:text name="'admin.roles.add.new.role'"/></page:param>
        <page:param name="title"><ww:text name="'admin.roles.add.new.role'"/></page:param>

        <ui:textfield label="text('common.words.name')" name="'name'" size="'30'" />

        <ui:textfield label="text('common.words.description')" name="'description'" size="'60'" />
    </page:applyDecorator>
    </p>
</p>

</body>
</html>
