<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>


<html>
<head>
	<title>
        <ww:text name="'admin.projectroles.usage.title'">
            <ww:param value="/htmlEncode(/role/name)" />
        </ww:text>
    </title>
</head>
<body>

<page:applyDecorator name="jirapanel">
	<page:param name="title"><ww:text name="'admin.projectroles.usage.title'">
                <ww:param value="/htmlEncode(/role/name)" />
            </ww:text>
    </page:param>
    <page:param name="helpURL">project_roles</page:param>
    <page:param name="helpURLFragment">#project_role_browser</page:param>
    <page:param name="description">
        <p>
        <ww:text name="'admin.projectroles.usage.desc'">
           <ww:param name="'value0'"><b></ww:param>
           <ww:param name="'value1'"><ww:param value="/htmlEncode(/role/name)" /></ww:param>
           <ww:param name="'value2'"></b></ww:param>
        </ww:text>
        </p>
    </page:param>

    <page:param name="width">100%</page:param>

    <table class="defaultWidth centered">
    <tr>
        <td class="fullyCentered ">
            <b><a id="return_link" href="ViewProjectRoles.jspa">&lt;&lt; <ww:text name="'admin.projectroles.returnlink'"/></a></b>
        </td>
    </tr>
    </table>

    <jsp:include page="associatedschemestables.jsp"/>

</page:applyDecorator>

</body>
</html>
