<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
    <title><ww:text name="'admin.scheme.picker.title'"/></title>
</head>

<body>

<script type="text/javascript">
    function submitForm(typeOfSchemesToDisplay)
    {
        document.forms['jiraform'].action = "SchemePicker!switch.jspa?typeOfSchemesToDisplay=" + typeOfSchemesToDisplay + "&selectedSchemeType=" + document.getElementById("selectedSchemeType").value;
        document.forms['jiraform'].submit();
        return false;
    }
</script>

<p>
    <page:applyDecorator name="jiraform">
        <page:param name="width">100%</page:param>
        <page:param name="title"><ww:text name="'admin.scheme.picker.title'"/></page:param>
        <page:param name="helpURL">scheme_tools</page:param>
        <page:param name="description">
            <ww:text name="'admin.scheme.picker.desc'">
               <ww:param name="'value0'"><p/></ww:param>
               <ww:param name="'value1'"><span class="redText"></ww:param>
               <ww:param name="'value2'"></span></ww:param>
            </ww:text>
        </page:param>
        <page:param name="action">SchemePicker.jspa</page:param>
        <page:param name="columns">1</page:param>
        <page:param name="submitId">schemepicker_submit</page:param>
        <page:param name="submitName"><ww:text name="'admin.scheme.picker.submit'"/></page:param>

        <tr>
            <td>
                <div class="tabContainer maxWidth centered">
                    <div class="tabHeader">
                        <a href="#" <ww:if test="/typeOfSchemesToDisplay/equals('associated') == true">
                            class="selected"</ww:if> onclick="submitForm('associated')"><ww:text name="'admin.scheme.picker.associated'"/></a>
                        <a href="#" <ww:if test="/typeOfSchemesToDisplay/equals('all') == true">
                            class="selected"</ww:if> onclick="submitForm('all')"><ww:text name="'admin.scheme.picker.all'"/></a>
                        <input type="hidden" name="typeOfSchemesToDisplay" value="<ww:property value='/typeOfSchemesToDisplay'/>"/>
                    </div>

                    <div class="tabContent">
                        <ww:property value="/schemePickerWebComponentHtml" escape="false"/>
                    </div>
                </div>
            </td>
        </tr>

    </page:applyDecorator>
</p>


</body>
</html>
