<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title><ww:if test="/active(scheme) == false">
                <ww:text name="'admin.schemes.workflow.edit.edit.workflows.for'">
                    <ww:param name="'value0'"><ww:property value="scheme/string('name')" /></ww:param>
                </ww:text>
           </ww:if>
           <ww:else>
                <ww:text name="'admin.schemes.workflow.view.workflows.for'">
                    <ww:param name="'value0'"><ww:property value="scheme/string('name')" /></ww:param>
                </ww:text>               
           </ww:else></title>
</head>

<body>
<page:applyDecorator name="jirapanel">
    <page:param name="title"><ww:if test="/active(scheme) == false"><ww:text name="'admin.schemes.workflow.edit.edit.workflows.for'">
        <ww:param name="'value0'"><ww:property value="scheme/string('name')" /></ww:param>
    </ww:text></ww:if><ww:else><ww:text name="'admin.schemes.workflow.view.workflows.for'">
        <ww:param name="'value0'"><ww:property value="scheme/string('name')" /></ww:param>
    </ww:text></ww:else></page:param>
    <page:param name="width">100%</page:param>
    <page:param name="helpURL">workflow_schemes</page:param>
    <p>
    <ww:if test="/active(scheme) == true">
        <ww:text name="'admin.schemes.workflow.edit.page.description.disabled'">
            <ww:param name="'value0'"><ww:property value="scheme/string('name')"/></ww:param>
        </ww:text>
    </ww:if>
    <ww:else>
        <ww:text name="'admin.schemes.workflow.edit.page.description'">
            <ww:param name="'value0'"><ww:property value="scheme/string('name')"/></ww:param>
        </ww:text>
    </ww:else>
    </p>
    <ul class="square">
        <ww:if test="/active(scheme) == false">
            <li><ww:text name="'admin.schemes.workflow.assign.an.issue.to.this.workflow.scheme'">
                <ww:param name="'value0'"><a href="<ww:url page="AddWorkflowSchemeEntity!default.jspa"><ww:param name="'schemeId'" value="scheme/string('id')"/></ww:url>"><b></ww:param>
                <ww:param name="'value1'"></b></a></ww:param>
            </ww:text></li>
        </ww:if>
        <li><ww:text name="'admin.schemes.workflow.view.all.workflow.schemes'">
            <ww:param name="'value0'"><a href="ViewWorkflowSchemes.jspa"><b></ww:param>
            <ww:param name="'value1'"></b></a></ww:param>
        </ww:text></li>
    </ul>
</page:applyDecorator>

<p>

    <table align="center" bgcolor="#bbbbbb" border="0" cellpadding="0" cellspacing="0" width="90%"><tr><td>
    <table border="0" cellpadding="3" cellspacing="1" width="100%">
        <tr bgcolor="#f0f0f0">
            <td class="colHeaderLink">
                <b><ww:text name="'common.concepts.issuetype'"/></b>
            </td>
            <td class="colHeaderLink">
                <b><ww:text name="'issue.field.workflow'"/></b>
            </td>
            <ww:if test="/active(scheme) == false">
                <td class="colHeaderLink" width="10%">
                    <b><ww:text name="'common.words.operations'"/></b>
                </td>
            </ww:if>
        </tr>

        <ww:if test="defaultEntity != null">
        <ww:property value="defaultEntity">
        <tr bgcolor="#ffffcc">
            <td class="colHeaderLink">
                <b><ww:text name="'admin.schemes.workflow.all.unassigned.issue.types'"/></b><br>
                <span class="small"><ww:text name="'admin.schemes.workflow.issues.of.all.types.not.explicitly.assigned.will.use.this.workflow'"/></span>
            </td>
             <td valign="top">
                <ww:property value="/workflow(string('workflow'))">
                    <a title="<ww:text name="'admin.workflows.view.workflow.steps'"/>" href="<ww:url value="'/secure/admin/workflows/ViewWorkflowSteps.jspa'" ><ww:param name="'workflowMode'" value="mode" /><ww:param name="'workflowName'" value="name" /></ww:url>"><ww:property value="name" /></a>
                </ww:property>
            </td>
            <ww:if test="../active(scheme) == false">
                <td nowrap valign="top">
                    <img src="<%= request.getContextPath() %>/images/icons/bullet_blue.gif" height="8" width="8" border="0" align="absmiddle" alt=""/>
                    <a href="<ww:url page="DeleteWorkflowSchemeEntity!default.jspa"><ww:param name="'id'" value="long('id')"/><ww:param name="'schemeId'" value="schemeId"/></ww:url>"><ww:text name="'common.words.delete'"/></a>
                </td>
            </ww:if>
        </tr>
        </ww:property>
        </ww:if>

        <ww:iterator value="nonDefaultEntities" status="'status'">
        <tr bgcolor="#<ww:if test="@status/modulus(2) == 1">ffffff</ww:if><ww:else>fffff0</ww:else>">
            <td valign="top">
                <ww:property value="/constantsManager/issueTypeObject(string('issuetype'))">
                    <ww:component name="'issuetype'" template="constanticon.jsp">
                        <ww:param name="'contextPath'"><%= request.getContextPath() %></ww:param>
                        <ww:param name="'iconurl'" value="./iconUrl" />
                        <ww:param name="'alt'"><ww:property value="./nameTranslation" /></ww:param>
                        <ww:param name="'title'"><ww:property value="./nameTranslation" /> - <ww:property value="./descTranslation" /></ww:param>
                    </ww:component>
                    <ww:property value="./nameTranslation" />
                </ww:property>
            </td>
            <td valign="top">
                <ww:property value="/workflow(string('workflow'))">
                    <a title="<ww:text name="'admin.workflows.view.workflow.steps'"/>" href="<ww:url value="'/secure/admin/workflows/ViewWorkflowSteps.jspa'" ><ww:param name="'workflowMode'" value="mode" /><ww:param name="'workflowName'" value="name" /></ww:url>"><ww:property value="name" /></a>
                </ww:property>
            </td>
            <ww:if test="../active(scheme) == false">
                <td nowrap valign="top">
                    <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height="8" width="8" border="0" align="absmiddle" alt=""/>
                    <a id="del_<ww:property value="/constantsManager/issueType(string('issuetype'))/string('name')"/>_<ww:property value="/workflow(string('workflow'))/name"/>" href="<ww:url page="DeleteWorkflowSchemeEntity!default.jspa"><ww:param name="'id'" value="long('id')"/><ww:param name="'schemeId'" value="schemeId"/></ww:url>"><ww:text name="'common.words.delete'"/></a>
                </td>
            </ww:if>
        </tr>
        </ww:iterator>
    </table>
    </td></tr></table>

    </body>
</html>
