
<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title><ww:text name="'admin.manageversions.merge.versions'"/></title>
</head>

<body>

<page:applyDecorator name="jiraform">
	<page:param name="title"><ww:text name="'admin.manageversions.merge.versions'"/></page:param>
	<page:param name="width">100%</page:param>
	<page:param name="action">MergeVersions.jspa</page:param>
    <page:param name="submitId">merge_submit</page:param>
    <page:param name="submitName"><ww:text name="'admin.manageversions.merge'"/></page:param>
    <page:param name="cancelURI"><ww:url page="ManageVersions.jspa"><ww:param name="'pid'" value="pid" /></ww:url></page:param>
	<page:param name="description">
		<ww:text name="'admin.manageversions.merge.page.description'"/>

        <ww:text name="'admin.manageversions.merge.description'"/>
	</page:param>
	<tr>
		<td bgcolor=#fffff0 align=center>
			<b><ww:text name="'admin.manageversions.merging.from.versions'"/></b>
		</td>

		<td bgcolor=#fffff0 align=center>
			<b><ww:text name="'admin.manageversions.merge.to.version'"/></b>
		</td>
	</tr>
	<tr>
		<td bgcolor=#ffffff align=center valign=top>
            <ww:property value="versionId" />
			<ww:if test="versions != null && versions/size > 0">
                <ui:component template="selectmultiple.jsp" theme="'common'" name="'idsToMerge'">
                    <ui:param name="'list'" value="versions" />
                    <ui:param name="'listKey'" value="'id'" />
                    <ui:param name="'listValue'" value="'name'" />
                </ui:component>
			</ww:if>
			<ww:else>
				<ww:text name="'admin.manageversions.no.versions'"/>
			</ww:else>
		</td>
		<td bgcolor=#ffffff align=center valign=top>
			<ww:if test="versions != null && versions/size > 0">
				<select name="idMergeTo" >
					<ww:iterator value="versions">
						<option value="<ww:property value="id" />"
                        <ww:if test="id == idMergeTo">
                            selected
                        </ww:if>
                        ><ww:property value="name" /></option>
					</ww:iterator>
				</select>
			</ww:if>
			<ww:else>
				<ww:text name="'admin.manageversions.no.versions'"/>
			</ww:else>
		</td>
	</tr>

	<ui:component name="'pid'" template="hidden.jsp" />
    <ui:component name="'versionId'" template="hidden.jsp" />
</page:applyDecorator>

</body>
</html>
