<%@ page import="com.atlassian.jira.util.BrowserUtils,
                 com.atlassian.jira.web.action.issue.bulkedit.BulkDelete,
                 com.atlassian.jira.web.component.IssueTableWebComponent"%>
<%@ page import="java.util.List"%>
<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<!-- Step 4 - Bulk Operation: Confirmation for DELETE -->

<html>
<head>
	<title><ww:text name="'bulkedit.title'"/></title>
</head>
<body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" bgcolor="#ffffff">
<tr>
    <td width=200 valign=top bgcolor=#f0f0f0>
        <jsp:include page="/secure/views/bulkedit/bulkedit_leftpane.jsp" flush="false" />
    </td>
    <td valign=top>
        <table cellspacing=0 cellpadding=10 border=0 width="100%"><tr><td>
            <page:applyDecorator name="jirapanel">
                <page:param name="title"><ww:text name="'bulkedit.title'"/>: <ww:text name="'bulkedit.step4.title'"/></page:param>
                <page:param name="description">
                    <ww:text name="'bulkedit.step4'"/>
                </page:param>
                <page:param name="width">100%</page:param>
                <table border="0" cellpadding="0" cellspacing="0" width="100%">
                    <tr>
                        <td colspan="2">
                            <ww:text name="'bulk.delete.confirmation.line1'">
                                <ww:param name="'value0'"><b><ww:property value="/bulkEditBean/selectedIssuesIncludingSubTasks/size"/></b></ww:param>
                            </ww:text>
                            <br>
                            <ww:text name="'bulk.delete.confirmation.line2'"/>
                            <br>
                            <ww:text name="'bulk.delete.confirmation.line3'"/>
                        </td>
                    </tr>
                </table>
            </page:applyDecorator>

            <form name="bulkdelete" method="POST" action="<%= request.getContextPath() %>/secure/BulkDeletePerform.jspa">
            <ww:component name="'atl_token'" value="/xsrfToken" template="hidden.jsp"/>
            <input name="<ww:text name="'common.forms.confirm'"/>" type=submit value="<ww:text name="'common.forms.confirm'"/>"
                   title="<ww:text name="'common.forms.submit.tooltip'">
                   <ww:param name="'value0'"><ww:text name="'common.forms.submit.accesskey'"/></ww:param>
                   <ww:param name="'value1'"><%=BrowserUtils.getModifierKey()%></ww:param>
                   </ww:text>"
            >&nbsp;
            <input type=button id="<ww:text name="'common.forms.cancel'"/>" name="<ww:text name="'common.forms.cancel'"/>" value="<ww:text name="'common.forms.cancel'"/>" onclick="location.href='BulkCancelWizard.jspa'">

            <!-- Send Mail confirmation -->
            <ww:if test="/canDisableMailNotifications() == true && /bulkEditBean/hasMailServer == true">
                <p>
                <jsp:include page="/includes/bulkedit/bulkedit-sendnotifications-confirmation.jsp"/>
                </p>
            </ww:if>

            <p>
            <%-- Set this so that it can be used further down --%>
            <ww:property value="/" id="bulkEdit" />
            <%
                BulkDelete bulkEdit = (BulkDelete) request.getAttribute("bulkEdit");
                List issues = bulkEdit.getBulkEditBean().getSelectedIssuesIncludingSubTasks();
            %>
            <%= new IssueTableWebComponent().getHtml(bulkEdit.getIssueTableLayoutBean(), issues, null) %>

            <p>
            <input name="<ww:text name="'common.forms.confirm'"/>" type=submit value="<ww:text name="'common.forms.confirm'"/>"
                   accesskey="<ww:text name="'common.forms.submit.accesskey'"/>"
                   title="<ww:text name="'common.forms.submit.tooltip'">
                   <ww:param name="'value0'"><ww:text name="'common.forms.submit.accesskey'"/></ww:param>
                   <ww:param name="'value1'"><%=BrowserUtils.getModifierKey()%></ww:param>
                   </ww:text>"
            >&nbsp;
            <input type=button id="<ww:text name="'common.forms.cancel'"/>" name="<ww:text name="'common.forms.cancel'"/>" value="<ww:text name="'common.forms.cancel'"/>" onclick="location.href='BulkCancelWizard.jspa'">
            </form>
        </td></tr></table>
    </td>
</tr>
</table>
</body>
</html>
