<%@ taglib uri="webwork" prefix="ww" %>
<%
    final String IMG_DONE = request.getContextPath() + "/images/icons/bullet_done.gif";
    final String IMG_NOT_DONE = request.getContextPath() + "/images/icons/bullet_notdone.gif";
    final String IMG_IN_PROGRESS = request.getContextPath() + "/images/icons/bullet_inprogress.gif";
%>
<table cellpadding="3" cellspacing="0" border="0" width="100%">
<tr><td class="noWrap lhc-h">
    <strong><ww:text name="textKey('title')"/>: <ww:property value="issue/key" /></strong>
</td></tr>
</table>

<ww:if test="errorMessages/empty == true">
    <%-- Enterprise Convert Wizard --%>
    <ww:if test="enterprise == true">
    <table cellpadding="5" border="0">
        <tr><td>
        <table border="0">
        <ww:if test="currentStep == 1">
            <tr>
                <td valign="top"><img src="<%= IMG_IN_PROGRESS %>" alt=""></td>
                <td class="minWidth"><strong>1.</strong></td>
                <td class="noWrap"><strong><ww:text name="textKey('step1.title')"/></strong></td>
            </tr>
        </ww:if>
        <ww:elseIf test="currentStep > 1">
            <tr>
                <td><img src="<%= IMG_DONE %>" alt=""></td>
                <td class="minWidth">1.</td>
                <td class="noWrap"><a href="<ww:property value="/actionPrefix"/>.jspa?id=<ww:property value="issue/id"/>&guid=<ww:property value="guid"/>"><ww:text name="textKey('step1.title')"/></a></td>
            </tr>
            <ww:if test="/issue/subTask == false">
                <tr>
                    <td></td>
                    <td></td>
                    <td class="noWrap">
                        <ww:text name="textKey('step1.parentissue')">
                            <ww:param name="'value0'"><strong><ww:property value="/parentIssueKey"/></strong></ww:param>
                        </ww:text>
                    </td>
                </tr>
            </ww:if>
            <tr>
                <td></td>
                <td></td>
                <td class="noWrap">
                    <ww:text name="textKey('step1.issuetype')">
                        <ww:param name="'value0'"><strong><ww:property value="/targetIssue/issueTypeObject/nameTranslation(.)"/></strong></ww:param>
                    </ww:text>
                </td>
            </tr>
        </ww:elseIf>
        <ww:else>
            <tr>
                <td valign="top"><img src="<%= IMG_NOT_DONE %>" alt=""></td>
                <td class="minWidth">1.</td>
                <td class="noWrap"><ww:text name="textKey('step1.title')"/></td>
            </tr>
        </ww:else>

        <ww:if test="/currentStep == 2">
            <tr>
                <td><img src="<%= IMG_IN_PROGRESS %>" alt=""></td>
                <td class="minWidth"><strong>2.</strong></td>
                <td><strong><ww:text name="textKey('step2.title')"/></strong></td>
            </tr>
        </ww:if>
        <ww:elseIf test="/currentStep > 2">
            <tr>
                <td><img src="<%= IMG_DONE %>" alt=""></td>
                <td class="minWidth">2.</td>
                <ww:if test="/statusChangeRequired == true">
                    <td><a href="<ww:property value="/actionPrefix"/>SetIssueType.jspa?id=<ww:property value="issue/id"/>&guid=<ww:property value="guid"/>"><ww:text name="textKey('step2.title')"/></a></td>
                </ww:if>
                <ww:else>
                    <td><ww:text name="textKey('step2.title')"/></td>
                </ww:else>
            </tr>
            <tr>
                <td></td>
                <td></td>
                <td class="noWrap">
                    <ww:text name="textKey('step2.status')">
                        <ww:param name="'value0'"><strong><ww:property value="/targetIssue/statusObject/nameTranslation(.)"/></strong></ww:param>
                    </ww:text>
                </td>
            </tr>
        </ww:elseIf>
        <ww:else>
            <tr>
                <td><img src="<%= IMG_NOT_DONE %>" alt=""></td>
                <td class="minWidth">2.</td>
                <td><ww:text name="textKey('step2.title')"/></td>
            </tr>
        </ww:else>

        <ww:if test="/currentStep == 3">
            <tr>
                <td><img src="<%= IMG_IN_PROGRESS %>" alt=""></td>
                <td class="minWidth"><strong>3.</strong></td>
                <td><strong><ww:text name="textKey('step3.title')"/></strong></td>
            </tr>
        </ww:if>
        <ww:elseIf test="/currentStep > 3">
            <tr>
                <td><img src="<%= IMG_DONE %>" alt=""></td>
                <td class="minWidth">3.</td>
                <td><a href="<ww:property value="/actionPrefix"/>SetStatus.jspa?id=<ww:property value="issue/id"/>&guid=<ww:property value="guid"/>"><ww:text name="textKey('step3.title')"/></a></td>
            </tr>
        </ww:elseIf>
        <ww:else>
            <tr>
                <td><img src="<%= IMG_NOT_DONE %>" alt=""></td>
                <td class="minWidth">3.</td>
                <td><ww:text name="textKey('step3.title')"/></td>
            </tr>
        </ww:else>

        <ww:if test="/currentStep == 4">
            <tr>
                <td><img src="<%= IMG_IN_PROGRESS %>" alt=""></td>
                <td class="minWidth"><strong>4.</strong></td>
                <td><strong><ww:text name="textKey('step4.title')"/></strong></td>
            </tr>
        </ww:if>
        <ww:else>
            <tr>
                <td><img src="<%= IMG_NOT_DONE %>" alt=""></td>
                <td class="minWidth">4.</td>
                <td><ww:text name="textKey('step4.title')"/></td>
            </tr>
        </ww:else>
        </table>
        <br/>
        <ww:if test="/currentStep > 1">
            <table cellpadding="1" cellspacing="0" border="0" bgcolor="#bbbbbb" width="80%">
                <tr><td>
                <table cellpadding="4" cellspacing="0" border="0" width="100%" bgcolor="#666666">
                    <td bgcolor="#fffff0"><ww:text name="textKey('note')"/></td>
                </table>
                </td></tr>
            </table>
        </ww:if>
        </td></tr>
    </table>
    </ww:if>




    <%-- Profession Move Wizard --%>
    <ww:else>
    <table cellpadding="5" border="0">
        <tr><td>
        <table border="0">

        <ww:if test="currentStep == 1">
            <tr>
                <td valign="top"><img src="<%= IMG_IN_PROGRESS %>" alt=""></td>
                <td class="minWidth"><strong>1.</strong></td>
                <td class="noWrap"><strong>
                <ww:text name="textKey('step1.title')"/>
                </strong></td>
            </tr>
        </ww:if>
        <ww:else>
            <tr>
                <td><img src="<%= IMG_DONE %>" alt=""></td>
                <td class="minWidth">1.</td>
                <td class="noWrap"><a href="<ww:property value="/actionPrefix"/>.jspa?id=<ww:property value="issue/id"/>&guid=<ww:property value="guid"/>"><ww:text name="textKey('step1.title')"/></a></td>
            </tr>
            <ww:if test="/issue/subTask == false">
                <tr>
                    <td></td>
                    <td></td>
                    <td class="noWrap">
                        <ww:text name="textKey('step1.parentissue')">
                            <ww:param name="'value0'"><strong><ww:property value="/parentIssueKey"/></strong></ww:param>
                        </ww:text>
                    </td>
                </tr>
            </ww:if>
            <tr>
                <td></td>
                <td></td>
                <td class="noWrap">
                    <ww:text name="textKey('step1.issuetype')">
                        <ww:param name="'value0'"><strong><ww:property value="/targetIssue/issueTypeObject/nameTranslation(.)"/></strong></ww:param>
                    </ww:text>
                </td>
            </tr>
        </ww:else>

        <ww:if test="/currentStep == 3">
            <tr>
                <td><img src="<%= IMG_IN_PROGRESS %>" alt=""></td>
                <td class="minWidth"><strong>2.</strong></td>
                <td><strong><ww:text name="textKey('step3.title')"/></strong></td>
            </tr>
        </ww:if>
        <ww:elseIf test="/currentStep > 3">
            <tr>
                <td><img src="<%= IMG_DONE %>" alt=""></td>
                <td class="minWidth">2.</td>
                <td><a href="<ww:property value="/actionPrefix"/>SetIssueType.jspa?id=<ww:property value="issue/id"/>&guid=<ww:property value="guid"/>"><ww:text name="textKey('step3.title')"/></a></td>
            </tr>
        </ww:elseIf>
        <ww:else>
            <tr>
                <td><img src="<%= IMG_NOT_DONE %>" alt=""></td>
                <td class="minWidth">2.</td>
                <td><ww:text name="textKey('step3.title')"/></td>
            </tr>
        </ww:else>

        <ww:if test="/currentStep == 4">
            <tr>
                <td><img src="<%= IMG_IN_PROGRESS %>" alt=""></td>
                <td class="minWidth"><strong>3.</strong></td>
                <td><strong><ww:text name="textKey('step4.title')"/></strong></td>
            </tr>
        </ww:if>
        <ww:else>
            <tr>
                <td><img src="<%= IMG_NOT_DONE %>" alt=""></td>
                <td class="minWidth">3.</td>
                <td><ww:text name="textKey('step4.title')"/></td>
            </tr>
        </ww:else>
        </table>
        <br/>
        <ww:if test="/currentStep != 1">
            <table cellpadding="1" cellspacing="0" border="0" bgcolor="#bbbbbb" width="80%">
                <tr><td>
                <table cellpadding="4" cellspacing="0" border="0" width="100%" bgcolor="#666666">
                    <td bgcolor="#fffff0"><ww:text name="textKey('note')"/></td>
                </table>
                </td></tr>
            </table>
        </ww:if>
        </td></tr>
    </table>
    </ww:else>
</ww:if>
<ww:else>
    <div style="padding: 4px">
        <ww:if test="/issue">
            <ww:text name="textKey('error.exit.issue')">
                <ww:param name="'value0'"><a href="<%= request.getContextPath() %>/browse/<ww:property value="/issue/key" />"></ww:param>
                <ww:param name="'value1'"><ww:property value="/issue/key" /></ww:param>
                <ww:param name="'value2'"></a></ww:param>
            </ww:text>
        </ww:if>
        <ww:else>
            <ww:text name="textKey('error.exit.dashboard')">
                <ww:param name="'value0'"><a href="<%= request.getContextPath() %>"></ww:param>
                <ww:param name="'value1'"></a></ww:param>
            </ww:text>
        </ww:else>
    </div>
</ww:else>
