<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>
<html>
<head>
    <meta content="issuesummary" name="decorator" />
    <title>[#<ww:property value="/issueObject/key" />] <ww:property value="/issueObject/summary" /></title>
</head>
<body>
<div class="item-header">
    <ww:property value="issue">
        <jsp:include page="/includes/panels/issue_headertable.jsp" />
    </ww:property>
</div>
<div id="main-content">
    <div class="active-area">
        <ww:if test="/canAddLink == true">
            <div class="command-bar">
                <div class="ops-cont">
                    <ul class="ops">
                        <li id="back-lnk-section" class="last">
                            <a id="back-lnk" class="button first last" href="<%= request.getContextPath() %>/browse/<ww:property value="/issueObject/key" />"><span class="icon icon-back"><span><ww:text name="'opsbar.back.to.issue'"/></span></span><ww:text name="'opsbar.back.to.issue'"/></a>
                        </li>
                    </ul>
                    <ul class="ops">
                        <li><a class="button first last" href="<%= request.getContextPath() %>/secure/LinkExistingIssue!default.jspa?id=<ww:property value="/issueObject/id" />"><ww:text name="'issue.operations.linkexistingissue'" /></a></li>                        
                    </ul>
                </div>
            </div>
        </ww:if>
        <h2><ww:text name="'managelinks.title'"/></h2>
        <div class="content">
            <jsp:include page="/includes/errormessages.jsp" />
            <div class="module">
                <div class="mod-content">
                    <jsp:include page="managelinkstable.jsp" />
                </div>
            </div>
        </div>
    </div>
</div>
</body>
</html>
