<%@ taglib uri="webwork" prefix="ww" %>
<table cellpadding="3" cellspacing="0" border="0" width="100%">
<tr><td class="lhc-h">
    <b><ww:text name="'moveissue.title'"/>: <ww:if test="/issueValid == true"><ww:property value="issue/string('key')" /></ww:if></b>
</td></tr>
</table>

<table cellpadding="5" border="0">
    <tr><td>
    <table border="0">
    <ww:if test="moveIssueBean/currentStep == 1">
        <tr>
            <td valign="top"><img src="<%= request.getContextPath() %>/images/icons/bullet_inprogress.gif" alt=""></td>
            <td width="1%"><b>1.</b></td>
            <td nowrap><b>
            <ww:text name="'moveissue.step1.title.ent'"/>
            </b></td>
        </tr>
    </ww:if>
    <ww:else>
        <tr>
            <td><img src="<%= request.getContextPath() %>/images/icons/bullet_done.gif" alt=""></td>
            <td width="1%">1.</td>
            <ww:if test="/moveIssueBean/availablePreviousStep(1) == true">
                <td nowrap><a href="MoveIssue!default.jspa?id=<ww:property value="issue/string('id')"/>&reset=true"><ww:text name="'moveissue.step1.title.ent'"/></a></td>
            </ww:if>
            <ww:else>
                <td nowrap><ww:text name="'moveissue.step1.title.ent'"/></td>
            </ww:else>
        </tr>
        <tr>
            <td></td>
            <td></td>
            <td nowrap>
                <ww:text name="'moveissue.step1.project'">
                    <ww:param name="'value0'"><b><ww:property value="/moveIssueBean/targetProjectName"/></b></ww:param>
                </ww:text>
            </td>
        </tr>
        <tr>
            <td></td>
            <td></td>
            <td nowrap>
                <ww:text name="'moveissue.step1.issuetype'">
                    <ww:param name="'value0'"><b><ww:property value="/moveIssueBean/targetTypeName"/></b></ww:param>
                </ww:text>
            </td>
        </tr>
    </ww:else>

    <ww:if test="/moveIssueBean/currentStep == 2">
        <tr>
            <td><img src="<%= request.getContextPath() %>/images/icons/bullet_inprogress.gif" alt=""></td>
            <td width="1%"><b>2.</b></td>
            <td><b><ww:text name="'moveissue.step2.title'"/></b></td>
        </tr>
    </ww:if>
    <ww:elseIf test="/moveIssueBean/currentStep > 2">
        <tr>
            <td><img src="<%= request.getContextPath() %>/images/icons/bullet_done.gif" alt=""></td>
            <td width="1%">2.</td>
            <ww:if test="/moveIssueBean/availablePreviousStep(2) == true && statusChangeRequired == true">
                <td><a href="MoveIssueUpdateWorkflow!default.jspa?id=<ww:property value="issue/string('id')"/>"><ww:text name="'moveissue.step2.title'"/></a></td>
            </ww:if>
            <ww:else>
                <td><ww:text name="'moveissue.step2.title'"/></td>
            </ww:else>
        </tr>
        <tr>
            <td></td>
            <td></td>
            <td nowrap>
                <ww:text name="'moveissue.step2.status'">
                    <ww:param name="'value0'"><b><ww:property value="/moveIssueBean/targetStatusName"/></b></ww:param>
                </ww:text>
            </td>
        </tr>
    </ww:elseIf>
    <ww:else>
        <tr>
            <td><img src="<%= request.getContextPath() %>/images/icons/bullet_notdone.gif" alt=""></td>
            <td width="1%">
                2.
            </td>
            <td>
                <ww:text name="'moveissue.step2.title'"/>
            </td>
        </tr>
    </ww:else>
    <ww:if test="/moveIssueBean/currentStep == 3">
        <tr>
            <td><img src="<%= request.getContextPath() %>/images/icons/bullet_inprogress.gif" alt=""></td>
            <td width="1%">
                <b>3.</b>
            </td>
            <td>
                <b><ww:text name="'moveissue.step3.title'"/></b>
            </td>
        </tr>
    </ww:if>
    <ww:elseIf test="/moveIssueBean/currentStep > 3">
        <tr>
            <td><img src="<%= request.getContextPath() %>/images/icons/bullet_done.gif" alt=""></td>
            <td width="1%">3.</td>
            <ww:if test="/moveIssueBean/availablePreviousStep(3) == true">
                <td><a href="MoveIssueUpdateFields!default.jspa?id=<ww:property value="issue/string('id')"/>&reset=true"><ww:text name="'moveissue.step3.title'"/></a></td>
            </ww:if>
            <ww:else>
                <td><ww:text name="'moveissue.step3.title'"/></td>
            </ww:else>
        </tr>
    </ww:elseIf>
    <ww:else>
        <tr>
            <td><img src="<%= request.getContextPath() %>/images/icons/bullet_notdone.gif" alt=""></td>
            <td width="1%">
                3.
            </td>
            <td>
                <ww:text name="'moveissue.step3.title'"/>
            </td>
        </tr>
    </ww:else>
    <ww:if test="/moveIssueBean/currentStep == 4">
        <tr>
            <td><img src="<%= request.getContextPath() %>/images/icons/bullet_inprogress.gif" alt=""></td>
            <td width="1%">
                <b>4.</b>
            </td>
            <td>
                <b><ww:text name="'moveissue.step4.title'"/></b>
            </td>
        </tr>
    </ww:if>
    <ww:else>
        <tr>
            <td><img src="<%= request.getContextPath() %>/images/icons/bullet_notdone.gif" alt=""></td>
            <td width="1%">
                4.
            </td>
            <td>
                <ww:text name="'moveissue.step4.title'"/>
            </td>
        </tr>
    </ww:else>
    </table>
    <p>
    <ww:if test="/moveIssueBean/currentStep != 1">
        <table cellpadding="1" cellspacing="0" border="0" bgcolor="#bbbbbb" width="80%">
            <tr><td>
            <table cellpadding="4" cellspacing="0" border="0" width="100%" bgcolor="#666666">
                <td bgcolor="#fffff0"><ww:text name="'moveissue.note'"/></td>
            </table>
            </td></tr>
        </table>
    </ww:if>
    </td></tr>
</table>
