<%@ page import="com.atlassian.jira.web.util.HelpUtil" %>
<%@ taglib uri="webwork" prefix="ww" %>
<%-- Provides help on a topic. Sample usage:

    <ww:component name="'navigatorviews'" template="help.jsp" theme="aui>
    </ww:component>

Code use:
    com.atlassian.jira.web.util.HelpUtil helpUtil = new com.atlassian.jira.web.util.HelpUtil(request.getRemoteUser(), request.getContextPath());
    request.setAttribute("helpUtil", helpUtil);
--%>

<%--<ww:bean name="'com.atlassian.jira.web.util.HelpUtil'" id="helpUtil" />--%>
<%
    // pico tries to find a satisfiable constructor for HelpUtil, whilst none exists.  This is quite slow for performance reasons
    HelpUtil helpUtil = new HelpUtil();
    request.setAttribute("helpUtil", helpUtil);
%>

<ww:property value="@helpUtil/helpPath(parameters['name'])">
    <ww:if test="local"><%-- Open local help in a popup window --%>
        <a class="aui-icon icon-help" title="<ww:if test="local"><ww:text name="'local.help'"/></ww:if><ww:else><ww:text name="'online.help'"/></ww:else> <ww:text name="title" />" href="<ww:url value="url"/>" onclick="var child = window.open('<ww:url value="url"/>', 'jiraLocalHelp', 'width=600, height=500, resizable, scrollbars=yes'); child.focus(); return false;">
            <ww:property value="parameters['linktext']">
                <ww:if test=".">
                       <span class="link-text"><ww:property value="."/></span>
                </ww:if>
            </ww:property>
        </a>
    </ww:if>
    <ww:else><%-- Open remote help (docs) in a new window --%>
        <a class="aui-icon icon-help" title="<ww:if test="local"><ww:text name="'local.help'"/></ww:if><ww:else><ww:text name="'online.help'"/></ww:else> <ww:text name="title" />" href="<ww:property value="url"/><ww:property value="parameters['helpURLFragment']" />" target="_jirahelp">
            <ww:property value="parameters['linktext']">
                <ww:if test=".">
                       <span class="link-text"><ww:property value="."/></span>
                </ww:if>
            </ww:property>
        </a>
    </ww:else>
</ww:property>
