<%@ taglib uri="webwork" prefix="ww" %>
<ww:if test="/timeTrackingShown == true">
<div class="module toggle-wrap" id="timetrackingmodule">
    <div id="tt_heading" class="mod-header">
        <ww:if test="/workable == true && /workflowAllowsEdit == true">
            <ul class="ops">
                <li><a id="log-work-link" href="<ww:url page="/secure/CreateWorklog!default.jspa"><ww:param name="'id'" value="../long('id')" /></ww:url>" class="icon icon-add16 issueaction-log-work" title="<ww:text name="'logwork.title.desc'"/>"><span><ww:text name="'logwork.title'"/></span></a></li>
            </ul>            
        </ww:if>
        <h3 class="toggle-title"><ww:text name="'timetracking.title'"/></h3>
    </div>
    <div class="mod-content">
    <ww:if test="/aggregateTimeTrackingBean/subTaskCount != 0">
        <div id="tt_info_aggregate">
            <ww:component template="timetrackinginfo.jsp" name="'tt_aggregate'" value="/aggregateTimeTrackingGraphBean" />
        </div>
        <div id="tt_info_single" style="display:none;">
            <ww:component template="timetrackinginfo.jsp" name="'tt_single'" value="/timeTrackingGraphBean" />
        </div>
        <div id="tt_include_subtasks" title="<ww:text name="'timetracking.include.subtasks.tooltip'"/>">
            <input id="cb_include_subtasks" type="checkbox" checked="CHECKED"/><label for="cb_include_subtasks"><ww:text name="'timetracking.include.subtasks'"/></label>
        </div>
    </ww:if>
    <ww:else>
        <ww:component template="timetrackinginfo.jsp" name="'tt_single'" value="/timeTrackingGraphBean" />
    </ww:else>
   </div>
</div>
</ww:if>
