<%@ taglib uri="webwork" prefix="ww" %>

<ww:if test="applicationProperties/option('jira.option.trackback.receive') == true && trackbacks/size > 0">
<div class="module toggle-wrap" id="trackbacksmodule">
    <div class="mod-header">
        <ww:if test="/hasIssuePermission('delete', /issue) == true">
        <ul class="ops">
            <li><a href="<%=request.getContextPath()%>/secure/ManageTrackbacks.jspa?id=<ww:property value="id" />" class="icon icon-edit-sml" title="<ww:text name="'trackback.manage.title'"/>"><span><ww:text name="'trackback.manage.title'"/></span></a></li>
        </ul>
        </ww:if>
		<h3 class="toggle-title"><ww:text name="'common.concepts.trackbacks'"/></h3>
    </div>
	<div class="mod-content">
        <ww:iterator value="trackbacks">
        <div class="trackback">
            <div class="trackbackheader">
                <img border="0" src="<%=request.getContextPath()%>/images/icons/document_exchange.gif" width=16 height=16 align=absmiddle>
                <span class="trackbacklink"><a href="<ww:property value="url"/>"><ww:property value="title"/></a></span>
                <span class="trackbackblogname">(<ww:property value="blogName"/>)</span>
            </div>
        <ww:if test="excerpt">
            <div class="trackbackexcerpt"><ww:property value="excerpt" /></div>
        </ww:if>
        </div>
        </ww:iterator>
	</div>
</div>
</ww:if>
