<%@ page import="com.atlassian.jira.util.JiraUtils" %>
<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<%@ taglib uri="jiratags" prefix="jira" %>

<div id="main-content">
    <div class="active-area">
        <ww:if test="remoteUser == null">
        <h2><ww:text name="'login.required.title'"/></h2>
        <p class="notify warn"><ww:text name="'login.required.desc1'"/></p>
        <p>
            <ww:text name="'login.required.desc2'">
                <ww:param name="'value0'"><jira:loginlink><ww:text name="'login.required.login'"/></jira:loginlink></ww:param>
            </ww:text>
            <ww:if test="/applicationProperties/option('jira.option.user.externalpasswordmanagement') == false">
            <ww:if test="extUserManagement != true">
                <% if (JiraUtils.isPublicMode()) { %>
                <ww:text name="'login.required.desc3'">
                    <ww:param name="'value0'"><a href="<%= request.getContextPath() %>/secure/Signup!default.jspa"></ww:param>
                    <ww:param name="'value1'"></a></ww:param>
                </ww:text>
                <% } %>
            </ww:if></ww:if>
        </p>
        <p>
        <ww:text name="'contact.admin.for.perm'">
            <%--Disabled until http://jdog.atlassian.com/browse/JRADEV-1422 has been resolved--%>
            <%--<ww:param name="'value0'"><a href="<%= request.getContextPath() %>/secure/Administrators.jspa"></ww:param>--%>
            <%--<ww:param name="'value1'"></a></ww:param>--%>
            <ww:param name="'value0'"> </ww:param>
            <ww:param name="'value1'"> </ww:param>
        </ww:text>
        </p>

        </ww:if>
        <ww:else>
        <h2><ww:text name="'perm.violation.title'"/></h2>
        <p class="notify warn"><ww:text name="'perm.violation.desc'"/></p>
        <p>
        <ww:text name="'contact.admin.for.perm'">
            <%--Disabled until http://jdog.atlassian.com/browse/JRADEV-1422 has been resolved--%>
            <%--<ww:param name="'value0'"><a href="<%= request.getContextPath() %>/secure/Administrators.jspa"></ww:param>--%>
            <%--<ww:param name="'value1'"></a></ww:param>--%>
            <ww:param name="'value0'"> </ww:param>
            <ww:param name="'value1'"> </ww:param>
        </ww:text>
        </p>
        </ww:else>
        <ww:if test="issueObjectNoSecurityCheck">
            <ww:property value="issueObjectNoSecurityCheck">
            <%@ include file="/includes/trackback_rdf_min.jsp"%>
            </ww:property>
        </ww:if>
    </div>
</div>
