<%@ taglib uri="webwork" prefix="ww" %>
<ww:bean id="math" name="'com.atlassian.core.bean.MathBean'"/>

<html>
<head>
	<title><ww:text name="'admin.systeminfo.upgrade.history'"/></title>
</head>

<body>

<table class="jiraform maxWidth">

    <tr>
        <td class="jiraformheader">
            <h3 class="formtitle"><ww:text name="'admin.systeminfo.upgrade.history'"/></h3>
        </td>
    </tr>
    <tr>
        <td class="jiraformbody"><p><ww:text name="'admin.systeminfo.upgrade.history.description'"/></p></td>
    </tr>
</table>
<p></p>
<table id="upgradehistory" class="grid maxWidth">
    <tr>
        <th width="33%"><ww:text name="'admin.systeminfo.upgrade.history.target.version'"/></th>
        <th width="33%"><ww:text name="'admin.systeminfo.upgrade.history.target.build'"/></th>
        <th width="33%"><ww:text name="'admin.systeminfo.upgrade.history.time.performed'"/></th>
    </tr>
    <ww:iterator value="/upgradeHistory" status="'status'">
    <tr>
        <td valign="top"><ww:property value="./targetVersion"/></td>
        <td valign="top"><ww:property value="./targetBuildNumber"/>
        <ww:if test="./inferred == true">
            <ww:if test="./originalBuildNumber/equals(./targetBuildNumber) == false">
                <ww:text name="'admin.systeminfo.upgrade.history.inferred.from'"><ww:param name="'value0'"><ww:property value="./originalBuildNumber"/></ww:param></ww:text>
            </ww:if>
            <ww:else>
                <ww:text name="'admin.systeminfo.upgrade.history.inferred'"/>
            </ww:else>
        </ww:if>
        </td>
        <td valign="top"><ww:property value="/formattedTimePerformed(./timePerformed)"/></td>
    </tr>
    </ww:iterator>
</table>

</body>
</html>
