<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<html>
<head>
	<title><ww:text name="'admin.viewgroup.title'"/></title>
</head>
<body>
<ww:if test="group != null">
    <page:applyDecorator name="jirapanel">
        <page:param name="title"><ww:text name="'admin.common.words.group'"/>: <ww:property value="group/name" /></page:param>
        <page:param name="width">100%</page:param>
        <ww:property value="group">
        <p>
            <b><ww:text name="'admin.usersandgroups.group.name'"/></b> <ww:property value="./name" /><br>
            <b><ww:text name="'admin.common.words.users'"/>: </b> <ww:property value="./users/size"/>
            <font size=1>( <a id="view_group_members" href="<ww:url value="'UserBrowser.jspa'" ><ww:param name="'emailFilter'" value="''" /><ww:param name="'group'" value="name" /></ww:url>"><ww:text name="'common.words.view'"/></a>
                <ww:if test="/userAbleToDeleteGroup(./name) == true">
                    | <a id="edit_members_of_<ww:property value="name"/>" href="<ww:url value="'BulkEditUserGroups!default.jspa'" ><ww:param name="'selectedGroupsStr'" value="name" /></ww:url>"><ww:text name="'admin.usersandgroups.edit.members'"/></a>
                </ww:if>
                )</font><br>
            <br>
            <b><ww:text name="'admin.schemes.permissions.permission.schemes'"/>:</b><br>
            <ww:property value="/permissionSchemes(./name)">
                <ww:if test="./empty == true">
                    &nbsp; <img src="<%= request.getContextPath() %>/images/icons/bullet_blue.gif" height="8" width="8" border="0" align="absmiddle">
                    <ww:text name="'admin.viewgroup.not.associated.with.group'">
                        <ww:param name="'value0'"><b><ww:text name="'admin.schemes.permissions.permission.schemes'"/></b></ww:param>
                    </ww:text><br>
                </ww:if>
                <ww:else>
                    <ww:iterator value=".">
                        &nbsp; <img src="<%= request.getContextPath() %>/images/icons/bullet_blue.gif" height="8" width="8" border="0" align="absmiddle">
                        <a href="<%= request.getContextPath() %>/secure/admin/EditPermissions!default.jspa?schemeId=<ww:property value="./long('id')"/>"><ww:property value="./string('name')" /></a><br>
                    </ww:iterator>
                </ww:else>
            </ww:property>
            <br>
            <b><ww:text name="'admin.menu.schemes.notification.schemes'"/></b><br>
            <ww:property value="/notificationSchemes(./name)">
                <ww:if test="./empty == true">
                    &nbsp; <img src="<%= request.getContextPath() %>/images/icons/bullet_blue.gif" height="8" width="8" border="0" align="absmiddle">
                    <ww:text name="'admin.viewgroup.not.associated.with.group'">
                        <ww:param name="'value0'"><b><ww:text name="'admin.schemes.notifications.notification.schemes'"/></b></ww:param>
                    </ww:text><br>
                </ww:if>
                <ww:else>
                    <ww:iterator value=".">
                        &nbsp; <img src="<%= request.getContextPath() %>/images/icons/bullet_blue.gif" height="8" width="8" border="0" align="absmiddle">
                        <a href="<%= request.getContextPath() %>/secure/admin/EditNotifications!default.jspa?schemeId=<ww:property value="./long('id')"/>"><ww:property value="./string('name')" /></a><br>
                    </ww:iterator>
                </ww:else>
            </ww:property>
            <ww:if test="/enterprise == true">
            <br>
            <b><ww:text name="'admin.schemes.issuesecurity.issue.security.schemes'"/>:</b><br>
            <ww:property value="/issueSecuritySchemes(./name)">
                <ww:if test="./empty == true">
                    &nbsp; <img src="<%= request.getContextPath() %>/images/icons/bullet_blue.gif" height="8" width="8" border="0" align="absmiddle">
                    <ww:text name="'admin.viewgroup.not.associated.with.group'">
                        <ww:param name="'value0'"><b><ww:text name="'admin.schemes.issuesecurity.issue.security.schemes'"/></b></ww:param>
                    </ww:text><br>
                </ww:if>
                <ww:else>
                    <ww:iterator value=".">
                        &nbsp; <img src="<%= request.getContextPath() %>/images/icons/bullet_blue.gif" height="8" width="8" border="0" align="absmiddle">
                        <a href="<%= request.getContextPath() %>/secure/admin/EditIssueSecurities!default.jspa?schemeId=<ww:property value="./long('id')"/>"><ww:property value="./string('name')" /></a><br>
                    </ww:iterator>
                </ww:else>
            </ww:property>
            </ww:if>
            <br>
            <b><ww:text name="'admin.viewgroup.savedfilters.title'"/></b><br>
            <ww:property value="/savedFilters(.)">
                <ww:if test="./empty == true">
                    &nbsp; <img src="<%= request.getContextPath() %>/images/icons/bullet_blue.gif" height="8" width="8" border="0" align="absmiddle">
                    <ww:text name="'admin.viewgroup.not.associated.with.group'">
                        <ww:param name="'value0'"><b><ww:text name="'admin.viewgroup.savedfilters.title'"/></b></ww:param>
                    </ww:text><br>
                </ww:if>
                <ww:else>
                    <ww:iterator value=".">
                        &nbsp; <img src="<%= request.getContextPath() %>/images/icons/bullet_blue.gif" height="8" width="8" border="0" align="absmiddle">
                        <a href="<%= request.getContextPath() %>/secure/IssueNavigator.jspa?mode=hide&requestId=<ww:property value="./id"/>"><ww:property value="./name" /></a> (<ww:text name="'admin.common.words.owner'"/>: <a href="<%= request.getContextPath() %>/secure/admin/user/ViewUser.jspa?name=<ww:property value="./ownerUserName"/>"><ww:property value="/fullUserName(./ownerUserName)"/></a>)<br>
                    </ww:iterator>
                </ww:else>
            </ww:property>
        </p>
        </ww:property>
    </page:applyDecorator>
</ww:if>
<ww:else>
<page:applyDecorator name="jirapanel">
    <page:param name="title"><ww:text name="'admin.viewgroup.group.does.not.exist.title'"/></page:param>
    <page:param name="width">100%</page:param>
    <p>
        <ww:text name="'admin.viewgroup.group.does.not.exist'"/>
    </p>
</page:applyDecorator>
</ww:else>
</body>
</html>
