<%@ taglib uri="webwork" prefix="ww" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title><ww:text name="'admin.projects.editpermissions.title'"/></title>
</head>

<body>
<page:applyDecorator name="jirapanel">
    <page:param name="title"><ww:text name="'admin.projects.editpermissions.title'"/> &mdash; <ww:property value="scheme/string('name')"/></page:param>
    <page:param name="width">100%</page:param>
    <page:param name="helpURL">permissionsHelp</page:param>
    <page:param name="helpURLFragment">#adding_to_permission</page:param>
    <p>
        <ww:text name="'admin.projects.editpermissionschemes.description.of.page'">
            <ww:param name="'value0'">"<ww:property value="scheme/string('name')"/>"</ww:param>
        </ww:text>
    </p>
    <ul class="square">
        <li><ww:text name="'admin.projects.editpermissions.grant.permission'">
            <ww:param name="'value0'"><a href="<ww:url page="AddPermission!default.jspa"><ww:param name="'schemeId'" value="scheme/string('id')"/></ww:url>"><b></ww:param>
            <ww:param name="'value1'"></b></a></ww:param>
        </ww:text></li>
        <li><ww:text name="'admin.projects.editpermissions.view.all.permission.schemes'">
            <ww:param name="'value0'"><a href="ViewPermissionSchemes.jspa"><b></ww:param>
            <ww:param name="'value1'"></b></a></ww:param>
        </ww:text></li>
    </ul>
</page:applyDecorator>

<p>

    <table align="center" bgcolor="#bbbbbb" border="0" cellpadding="0" cellspacing="0" width="90%"><tr><td>
    <table border="0" cellpadding="3" cellspacing="1" width="100%" id="edit_project_permissions">
        <tr bgcolor="#f0f0f0">
            <td class="colHeaderLink">
                <b><ww:text name="'admin.permission.group.project.permissions'"/></b>
            </td>
            <td class="colHeaderLink" width="25%">
                <ww:property value="/i18nUsersGroupsRolesHeader" />
            </td>
            <td class="colHeaderLink" width="10%">
                <b><ww:text name="'common.words.operations'"/></b>
            </td>
        </tr>
        <ww:iterator value="projectPermissions/keySet" status="'status'">
        <tr bgcolor="#<ww:if test="@status/modulus(2) == 1">ffffff</ww:if><ww:else>fffff0</ww:else>">
            <td valign="top"><b><ww:text name="schemePermissions/(.)/nameKey"/></b> <br>
            <font size="1"><ww:property value="schemePermissions/(.)/description"/></font>
            </td>
            <td valign="top">
            <ww:iterator value="permissions(.)">
            	<img src="<%= request.getContextPath() %>/images/icons/bullet_blue.gif" height="8" width="8" border="0" align="absmiddle" alt="">
                <ww:property value="../../type(string('type'))/displayName" />
                <ww:if test="string('parameter')!= null">
                    (<ww:property value="../../type(string('type'))/argumentDisplay(string('parameter'))" />)
                </ww:if>
                <ww:elseIf test="string('type') == 'reportercreate' || string('type') == 'reporter' || string('type') == 'lead' || string('type') == 'assignee'">
                </ww:elseIf>
                <ww:else>
                    (<ww:text name="'admin.common.words.anyone'"/>)
                </ww:else>
                <font size="1">
                    (<a id="del_perm_<ww:property value="./long('permission')"/>_<ww:property value="./string('parameter')"/>" href="<ww:url page="DeletePermission!default.jspa"><ww:param name="'id'" value="long('id')"/><ww:param name="'schemeId'" value="schemeId"/></ww:url>"><ww:text name="'common.words.delete'"/></a>)
                </font>
                <br>
            </ww:iterator>
            </td>
            <td nowrap valign="top">
            	<img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height="8" width="8" border="0" align="absmiddle" alt="">
                <a id="add_perm_<ww:property value="."/>" href="<ww:url page="AddPermission!default.jspa"><ww:param name="'schemeId'" value="../schemeId"/><ww:param name="'permissions'" value="."/></ww:url>"><ww:text name="'common.forms.add'"/></a>
            </td>
        </tr>
        </ww:iterator>
    </table></td></tr>
    <tr bgcolor="#ffffff"><td><br/></td></tr>
    <tr><td>
    <table border="0" cellpadding="3" cellspacing="1" width="100%" id="edit_issue_permissions">
        <tr bgcolor="#f0f0f0">
            <td class="colHeaderLink">
                <b><ww:text name="'admin.permission.group.issue.permissions'"/></b>
            </td>
            <td class="colHeaderLink" width="25%">
                <ww:property value="/i18nUsersGroupsRolesHeader" />
            </td>
            <td class="colHeaderLink" width="10%">
                <b><ww:text name="'common.words.operations'"/></b>
            </td>
        </tr>
        <ww:iterator value="issuePermissions/keySet" status="'status'">
        <tr bgcolor="#<ww:if test="@status/modulus(2) == 1">ffffff</ww:if><ww:else>fffff0</ww:else>">
            <td valign="top"><b><ww:text name="schemePermissions/(.)/nameKey"/></b> <br>
            <font size="1"><ww:property value="schemePermissions/(.)/description"/></font>
            </td>
            <td valign="top">
            <ww:iterator value="permissions(.)">
            	<img src="<%= request.getContextPath() %>/images/icons/bullet_blue.gif" height="8" width="8" border="0" align="absmiddle" alt="">
                <ww:property value="../../type(string('type'))/displayName" />
                <ww:if test="string('parameter')!= null">
                    (<ww:property value="../../type(string('type'))/argumentDisplay(string('parameter'))" />)
                </ww:if>
                <ww:elseIf test="string('type') == 'reportercreate' || string('type') == 'reporter' || string('type') == 'lead' || string('type') == 'assignee'">
                </ww:elseIf>
                <ww:else>
                    (<ww:text name="'admin.common.words.anyone'"/>)
                </ww:else>
                <font size="1">
                    (<a id="del_perm_<ww:property value="./long('permission')"/>_<ww:property value="./string('parameter')"/>" href="<ww:url page="DeletePermission!default.jspa"><ww:param name="'id'" value="long('id')"/><ww:param name="'schemeId'" value="schemeId"/></ww:url>"><ww:text name="'common.words.delete'"/></a>)
                </font>
                <br>
            </ww:iterator>
            </td>
            <td nowrap valign="top">
            	<img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height="8" width="8" border="0" align="absmiddle" alt="">
                <a id="add_perm_<ww:property value="."/>" href="<ww:url page="AddPermission!default.jspa"><ww:param name="'schemeId'" value="../schemeId"/><ww:param name="'permissions'" value="."/></ww:url>"><ww:text name="'common.forms.add'"/></a>
            </td>
        </tr>
        </ww:iterator>
        </table></td></tr>
        <tr bgcolor="#ffffff"><td><br/></td></tr>
        <tr><td>
        <table border="0" cellpadding="3" cellspacing="1" width="100%" id="edit_votersandwatchers_permissions">
            <tr bgcolor="#f0f0f0">
                <td class="colHeaderLink">
                    <b><ww:text name="'admin.permission.group.voters.and.watchers.permissions'"/></b>
                </td>
                <td class="colHeaderLink" width="25%">
                    <ww:property value="/i18nUsersGroupsRolesHeader" />
                </td>
                <td class="colHeaderLink" width="10%">
                    <b><ww:text name="'common.words.operations'"/></b>
                </td>
            </tr>
        <ww:iterator value="votersAndWatchersPermissions/keySet" status="'status'">
        <tr bgcolor="#<ww:if test="@status/modulus(2) == 1">ffffff</ww:if><ww:else>fffff0</ww:else>">
            <td valign="top"><b><ww:text name="schemePermissions/(.)/nameKey"/></b> <br>
            <font size="1"><ww:property value="schemePermissions/(.)/description"/></font>
            </td>
            <td valign="top">
            <ww:iterator value="permissions(.)">
            	<img src="<%= request.getContextPath() %>/images/icons/bullet_blue.gif" height="8" width="8" border="0" align="absmiddle" alt="">
                <ww:property value="../../type(string('type'))/displayName" />
                <ww:if test="string('parameter')!= null">
                    (<ww:property value="../../type(string('type'))/argumentDisplay(string('parameter'))" />)
                </ww:if>
                <ww:elseIf test="string('type') == 'reportercreate' || string('type') == 'reporter' || string('type') == 'lead' || string('type') == 'assignee'">
                </ww:elseIf>
                <ww:else>
                    (<ww:text name="'admin.common.words.anyone'"/>)
                </ww:else>
                <font size="1">
                    (<a id="del_perm_<ww:property value="./long('permission')"/>_<ww:property value="./string('parameter')"/>" href="<ww:url page="DeletePermission!default.jspa"><ww:param name="'id'" value="long('id')"/><ww:param name="'schemeId'" value="schemeId"/></ww:url>"><ww:text name="'common.words.delete'"/></a>)
                </font>
                <br>
            </ww:iterator>
            </td>
            <td nowrap valign="top">
            	<img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height="8" width="8" border="0" align="absmiddle" alt="">
                <a id="add_perm_<ww:property value="."/>" href="<ww:url page="AddPermission!default.jspa"><ww:param name="'schemeId'" value="../schemeId"/><ww:param name="'permissions'" value="."/></ww:url>"><ww:text name="'common.forms.add'"/></a>
            </td>
        </tr>
        </ww:iterator>
        </table></td></tr>
        <tr bgcolor="#ffffff"><td><br/></td></tr>
        <tr><td>
        <table border="0" cellpadding="3" cellspacing="1" width="100%" id="edit_comments_permissions">
            <tr bgcolor="#f0f0f0">
                <td class="colHeaderLink">
                    <b><ww:text name="'admin.permission.group.comments.permissions'"/></b>
                </td>
                <td class="colHeaderLink" width="25%">
                    <ww:property value="/i18nUsersGroupsRolesHeader" />
                </td>
                <td class="colHeaderLink" width="10%">
                    <b><ww:text name="'common.words.operations'"/></b>
                </td>
            </tr>
        <ww:iterator value="commentsPermissions/keySet" status="'status'">
        <tr bgcolor="#<ww:if test="@status/modulus(2) == 1">ffffff</ww:if><ww:else>fffff0</ww:else>">
            <td valign="top"><b><ww:text name="schemePermissions/(.)/nameKey"/></b> <br>
            <font size="1"><ww:property value="schemePermissions/(.)/description"/></font>
            </td>
            <td valign="top">
            <ww:iterator value="permissions(.)">
            	<img src="<%= request.getContextPath() %>/images/icons/bullet_blue.gif" height="8" width="8" border="0" align="absmiddle" alt="">
                <ww:property value="../../type(string('type'))/displayName" />
                <ww:if test="string('parameter')!= null">
                    (<ww:property value="../../type(string('type'))/argumentDisplay(string('parameter'))" />)
                </ww:if>
                <ww:elseIf test="string('type') == 'reportercreate' || string('type') == 'reporter' || string('type') == 'lead' || string('type') == 'assignee'">
                </ww:elseIf>
                <ww:else>
                    (<ww:text name="'admin.common.words.anyone'"/>)
                </ww:else>
                <font size="1">
                    (<a id="del_perm_<ww:property value="./long('permission')"/>_<ww:property value="./string('parameter')"/>" href="<ww:url page="DeletePermission!default.jspa"><ww:param name="'id'" value="long('id')"/><ww:param name="'schemeId'" value="schemeId"/></ww:url>"><ww:text name="'common.words.delete'"/></a>)
                </font>
                <br>
            </ww:iterator>
            </td>
            <td nowrap valign="top">
            	<img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height="8" width="8" border="0" align="absmiddle" alt="">
                <a id="add_perm_<ww:property value="."/>" href="<ww:url page="AddPermission!default.jspa"><ww:param name="'schemeId'" value="../schemeId"/><ww:param name="'permissions'" value="."/></ww:url>"><ww:text name="'common.forms.add'"/></a>
            </td>
        </tr>
        </ww:iterator>
        </table></td></tr>
        <tr bgcolor="#ffffff"><td><br/></td></tr>
        <tr><td>
        <table border="0" cellpadding="3" cellspacing="1" width="100%" id="edit_attachments_permissions">
            <tr bgcolor="#f0f0f0">
                <td class="colHeaderLink">
                    <b><ww:text name="'admin.permission.group.attachments.permissions'"/></b>
                </td>
                <td class="colHeaderLink" width="25%">
                    <ww:property value="/i18nUsersGroupsRolesHeader" />
                </td>
                <td class="colHeaderLink" width="10%">
                    <b><ww:text name="'common.words.operations'"/></b>
                </td>
            </tr>
        <ww:iterator value="attachmentsPermissions/keySet" status="'status'">
        <tr bgcolor="#<ww:if test="@status/modulus(2) == 1">ffffff</ww:if><ww:else>fffff0</ww:else>">
            <td valign="top"><b><ww:text name="schemePermissions/(.)/nameKey"/></b> <br>
            <font size="1"><ww:property value="schemePermissions/(.)/description"/></font>
            </td>
            <td valign="top">
            <ww:iterator value="permissions(.)">
            	<img src="<%= request.getContextPath() %>/images/icons/bullet_blue.gif" height="8" width="8" border="0" align="absmiddle" alt="">
                <ww:property value="../../type(string('type'))/displayName" />
                <ww:if test="string('parameter')!= null">
                    (<ww:property value="../../type(string('type'))/argumentDisplay(string('parameter'))" />)
                </ww:if>
                <ww:elseIf test="string('type') == 'reportercreate' || string('type') == 'reporter' || string('type') == 'lead' || string('type') == 'assignee'">
                </ww:elseIf>
                <ww:else>
                    (<ww:text name="'admin.common.words.anyone'"/>)
                </ww:else>
                <font size="1">
                    (<a id="del_perm_<ww:property value="./long('permission')"/>_<ww:property value="./string('parameter')"/>" href="<ww:url page="DeletePermission!default.jspa"><ww:param name="'id'" value="long('id')"/><ww:param name="'schemeId'" value="schemeId"/></ww:url>"><ww:text name="'common.words.delete'"/></a>)
                </font>
                <br>
            </ww:iterator>
            </td>
            <td nowrap valign="top">
            	<img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height="8" width="8" border="0" align="absmiddle" alt="">
                <a id="add_perm_<ww:property value="."/>" href="<ww:url page="AddPermission!default.jspa"><ww:param name="'schemeId'" value="../schemeId"/><ww:param name="'permissions'" value="."/></ww:url>"><ww:text name="'common.forms.add'"/></a>
            </td>
        </tr>
        </ww:iterator>
        </table></td></tr>
        <tr bgcolor="#ffffff"><td><br/></td></tr>
        <tr><td>
        <table border="0" cellpadding="3" cellspacing="1" width="100%" id="edit_timetracking_permissions">
            <tr bgcolor="#f0f0f0">
                <td class="colHeaderLink">
                    <b><ww:text name="'admin.permission.group.time.tracking.permissions'"/></b>
                </td>
                <td class="colHeaderLink" width="25%">
                    <ww:property value="/i18nUsersGroupsRolesHeader" />
                </td>
                <td class="colHeaderLink" width="10%">
                    <b><ww:text name="'common.words.operations'"/></b>
                </td>
            </tr>
        <ww:iterator value="timeTrackingPermissions/keySet" status="'status'">
        <tr bgcolor="#<ww:if test="@status/modulus(2) == 1">ffffff</ww:if><ww:else>fffff0</ww:else>">
            <td valign="top"><b><ww:text name="schemePermissions/(.)/nameKey"/></b> <br>
            <font size="1"><ww:property value="schemePermissions/(.)/description"/></font>
            </td>
            <td valign="top">
            <ww:iterator value="permissions(.)">
            	<img src="<%= request.getContextPath() %>/images/icons/bullet_blue.gif" height="8" width="8" border="0" align="absmiddle" alt="">
                <ww:property value="../../type(string('type'))/displayName" />
                <ww:if test="string('parameter')!= null">
                    (<ww:property value="../../type(string('type'))/argumentDisplay(string('parameter'))" />)
                </ww:if>
                <ww:elseIf test="string('type') == 'reportercreate' || string('type') == 'reporter' || string('type') == 'lead' || string('type') == 'assignee'">
                </ww:elseIf>
                <ww:else>
                    (<ww:text name="'admin.common.words.anyone'"/>)
                </ww:else>
                <font size="1">
                    (<a id="del_perm_<ww:property value="./long('permission')"/>_<ww:property value="./string('parameter')"/>" href="<ww:url page="DeletePermission!default.jspa"><ww:param name="'id'" value="long('id')"/><ww:param name="'schemeId'" value="schemeId"/></ww:url>"><ww:text name="'common.words.delete'"/></a>)
                </font>
                <br>
            </ww:iterator>
            </td>
            <td nowrap valign="top">
            	<img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height="8" width="8" border="0" align="absmiddle" alt="">
                <a id="add_perm_<ww:property value="."/>" href="<ww:url page="AddPermission!default.jspa"><ww:param name="'schemeId'" value="../schemeId"/><ww:param name="'permissions'" value="."/></ww:url>"><ww:text name="'common.forms.add'"/></a>
            </td>
        </tr>
        </ww:iterator>
        </table>
    </td></tr></table>
    </body>
</html>
